<?php
/****************************************************************************************/
/* ACollab                                                                              */
/****************************************************************************************/
/* Copyright (c) 2002-2004  Adaptive Technology Resource Centre / University of Toronto */
/*                                                                                      */
/* http://atutor.ca/acollab                                                             */
/*                                                                                      */
/* This program is free software. You may redistribute it and/or                        */
/* modify it under the terms of the GNU General Public License                          */
/* as published by the Free Software Foundation; either version 2 of the License,       */
/* or (at your option) any later version.                                               */
/*                                                                                      */
/* This program is distributed in the hope that it will be useful, but                  */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                           */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                 */
/* See the GNU General Public License for more details.                                 */
/*                                                                                      */
/* You may access the GNU General Public License at:                                    */
/* http://www.opensource.org/licenses/gpl-license.php                                   */
/*                                                                                      */
/* You may contact the Adaptive Technology Resource Centre at                           */
/* Robarts Library, University of Toronto                                               */
/* 130 St. George Street, Toronto, Ontario, Canada M5S 1A5                              */
/* Further contact information is available at http://www.utoronto.ca/atrc/             */
/****************************************************************************************/
/* Programmer:                                                                          */
/* Joel Kronenberg - ATRC                                                               */
/****************************************************************************************/
// $Id: news_edit.php 270 2004-06-10 15:50:37Z joel $

define('AC_INCLUDE_PATH', '../include/');

require(AC_INCLUDE_PATH.'vitals.inc.php');
authenticate(USER_GROUP_ADMIN);

if ($_POST['cancel']) {
	header('Location: news.php');
	exit;
}

$id = intval($_REQUEST['id']);

if ($_POST['submit']) {
	$_POST['title'] = str_replace('<', '&lt;', trim($_POST['title']));
	$_POST['description']  = str_replace('<', '&lt;', trim($_POST['description']));

	if ($_POST['subject'] == '') {
		$error[] = E_NEWS_EMPTY_SUBJ;
	}

	if ($_POST['body'] == '') {
		$error[] = E_NEWS_EMPTY_BODY;
	}

	if (!$errors) {
		$_POST['subject'] = $addslashes($_POST['subject']);
		$_POST['body'] = $addslashes($_POST['body']);

		$sql	= "UPDATE ".TABLE_PREFIX."news SET subject='$_POST[subject]', body='$_POST[body]' WHERE news_id=$id AND group_id=$_SESSION[group_id]";
		@mysql_query($sql,$db);

		Header('Location: news.php?f='.F_NEWS_EDITED);
		exit;
	}
}

if (authenticate(USER_ADMIN, USER_RETURN_CHECK)) {
	$group_info = get_group($_SESSION['group_id']);

	$_SECTION[0][0] = _AC('administration');
	$_SECTION[0][1] = 'admin/index.php';
	$_SECTION[1][0] = _AC('groups');
	$_SECTION[1][1] = 'admin/groups.php';
	$_SECTION[2][0] = $group_info['title'];
	$_SECTION[2][1] = 'group_admin/index.php';
	$_SECTION[3][0] = _AC('news_and_announcements');
	$_SECTION[3][1] = 'group_admin/news.php';
	$_SECTION[4][0] = _AC('edit_news');
	$_SECTION[4][1] = 'group_admin/news_edit.php';


	require(AC_INCLUDE_PATH.'admin/header.inc.php');
} else {
	$_SECTION[0][0] = _AC('home');
	$_SECTION[0][1] = 'home.php';
	$_SECTION[1][0] = _AC('administration');
	$_SECTION[1][1] = 'group_admin/';
	$_SECTION[2][0] = _AC('news_and_announcements');
	$_SECTION[2][1] = 'group_admin/news.php';
	$_SECTION[3][0] = _AC('edit_news');
	$_SECTION[3][1] = 'group_admin/news_edit.php';

	require(AC_INCLUDE_PATH.'header.inc.php');
}

if (isset($errors)) {
	print_errors($errors);
	unset($errors);
}

	$sql = "SELECT * FROM ".TABLE_PREFIX."news WHERE news_id=$id AND group_id=$_SESSION[group_id]";
	$result = mysql_query($sql,$db);
	if (!($row = mysql_fetch_array($result))) {
		$errors[] = E_NEWS_NOT_FOUND;
		print_errors($errors);
		require (AC_INCLUDE_PATH.'footer.inc.php');
		exit;
	}

	if ($_POST['submit']) {
		$row['subject'] = $_POST['subject'];
		$row['body']	= $_POST['body'];
	}

?>
<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" name="form">
	<input type="hidden" name="id" value="<?php echo $id; ?>">
	<p>
	<table border="0" cellspacing="0" cellpadding="2" align="center" class="box2">
	<tr>
		<th colspan="5" class="box"><h3><?php echo _AC('edit_news'); ?></h3></th>
	</tr>
	<tr>
		<td class="row1">&nbsp;</td>
		<td colspan="3" class="row1"><img src="images/clr.gif" height="1" width="1" alt="" /><br /><?php
			echo _AC('denotes_required', '<img src="images/required.gif" height="14" width="14" alt="'._AC('required_field').'" />');
		?><br /></td>
		<td class="row1">&nbsp;</td>
	</tr>
	<tr>
		<td class="row1">&nbsp;</td>
		<td class="row1" align="right"><label for="subject"><b><?php echo _AC('subject'); ?>:</b></label></td>
		<td class="row1"><img src="images/required.gif" height="14" width="14" alt="<?php echo _AC('required_field'); ?>" /></td>
		<td class="row1"><input type="text" name="subject" class="input" size="30" maxlength="60" id="subject" value="<?php echo htmlentities($row['subject']); ?>" onfocus="this.className='input highlight'" onblur="this.className='input'" /></td>
		<td class="row1">&nbsp;</td>
	</tr>
	<tr>
		<td class="row1">&nbsp;</td>
		<td class="row1" align="right" valign="top"><label for="body"><b><?php echo _AC('body'); ?>:</b></label></td>
		<td class="row1" valign="top"><img src="images/required.gif" height="14" width="14" alt="<?php echo _AC('required_field'); ?>" class="img" /></td>
		<td class="row1"><textarea name="body" cols="50" rows="15" class="input" id="body" wrap="wrap" onfocus="this.className='input highlight'" onblur="this.className='input'"><?php echo $row['body']; ?></textarea></td>
		<td class="row1">&nbsp;</td>
	</tr>
	<tr>
		<td class="row1">&nbsp;</td>
		<td class="row1" colspan="3" align="right"><br /><input type="submit" name="submit" value=" <?php echo _AC('edit'); ?> " class="submitY" onfocus="this.className='submitY highlight'" onblur="this.className='submitY'" /> &nbsp; <input type="submit" name="cancel" value="<?php echo _AC('cancel'); ?>" class="submitN" onfocus="this.className='submitN highlight'" onblur="this.className='submitN'" /><br /><br /></td>
		<td class="row1">&nbsp;</td>
	</tr>
	</table>
	</p>
</form>
<?php
	require(AC_INCLUDE_PATH.'footer.inc.php');
?>