DROP TABLE lang_base;
# Table structure for table 'lang_base'
#

CREATE TABLE `lang_base` (
  `variable` varchar(30) NOT NULL default '',
  `key` varchar(50) NOT NULL default '',
  `text` text NOT NULL,
  `revised_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `context` text NOT NULL,
  PRIMARY KEY  (`variable`,`key`)
) TYPE=MyISAM;

INSERT INTO `lang_base` VALUES ('feedback','E_ATUTOR_INTEGRATE','ATutor and ACollab are not using the same server and/or database.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_AUTH_FAILED','Account authorization failed. <a href=\"sign_in.php\">Sign-in here</a>.',NOW(),'authorization failed');
INSERT INTO `lang_base` VALUES ('feedback','E_BAD_LOGIN_ACCEPT_TERMS','You cannot sign-in unless you accept the Terms. If you do not accept the Terms then you may return to the <a href=\"http://www.pwd-online.ca/\">Persons with Disabilities Online</a> site.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_BAD_LOGIN_INFO','Wrong username and password supplied.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_CAT_NONE_AVAILABLE','No categories found. Categories must be created first.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_CHAT_TRAN','Transcript filename rejected. Please ensure that it is alphanumeric and contains no spaces.',NOW(),'chat');
INSERT INTO `lang_base` VALUES ('feedback','E_CHAT_TRAN_EXIST','Transcript file already exists. Delete the old one or use a different name.',NOW(),'chat');
INSERT INTO `lang_base` VALUES ('feedback','E_CONTACTS_INVALID_EMAIL','The email address entered is not a valid form.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_CONTACTS_MISSING_EMAIL','You must enter an Email address.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_CONTACTS_MISSING_FNAME','You must enter a First Name.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_CONTACTS_MISSING_LNAME','You must enter a Last Name.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_CONTACTS_NOT_FOUND','Contact not found.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_DEPT_CREATE','Department creation failed.',NOW(),'create department');
INSERT INTO `lang_base` VALUES ('feedback','E_DEPT_NOT_FOUND','Department not found.',NOW(),'edit department');
INSERT INTO `lang_base` VALUES ('feedback','E_DRAFT_COMMENT_NOT_FOUND','Comment not found.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_DRAFT_DATE_INVALID','The date is invalid.',NOW(),'drafting room add file');
INSERT INTO `lang_base` VALUES ('feedback','E_DRAFT_EMPTY_CAT','You must select at least one category.',NOW(),'drafting upload');
INSERT INTO `lang_base` VALUES ('feedback','E_DRAFT_EMPTY_COMM','Comment cannot be empty.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_DRAFT_EMPTY_DESC','The description cannot be empty.',NOW(),'drafting upload');
INSERT INTO `lang_base` VALUES ('feedback','E_DRAFT_EMPTY_FILE','You must select a file.',NOW(),'drafting upload');
INSERT INTO `lang_base` VALUES ('feedback','E_DRAFT_EMPTY_FILE_TYPE','The file type cannot be empty.',NOW(),'drafting upload');
INSERT INTO `lang_base` VALUES ('feedback','E_DRAFT_EMPTY_SOURCE','Source cannot be empty.',NOW(),'draft upload');
INSERT INTO `lang_base` VALUES ('feedback','E_DRAFT_EMPTY_TITLE','Title cannot be empty.',NOW(),'drafting upload');
INSERT INTO `lang_base` VALUES ('feedback','E_DRAFT_ILLEGAL_FILE_TYPE','The file you are uploading is not one of the allowable types.',NOW(),'bad file type');
INSERT INTO `lang_base` VALUES ('feedback','E_DRAFT_UPLOAD','The file was not uploaded successfully.',NOW(),'drafting general error');
INSERT INTO `lang_base` VALUES ('feedback','E_EVENT_ADD','Error adding event.',NOW(),'event');
INSERT INTO `lang_base` VALUES ('feedback','E_EVENT_EDATE_INVALID','Event end date is not valid.',NOW(),'event');
INSERT INTO `lang_base` VALUES ('feedback','E_EVENT_EMPTY_DESC','Event description cannot be empty.',NOW(),'event');
INSERT INTO `lang_base` VALUES ('feedback','E_EVENT_EMPTY_TITLE','Event title cannot be empty.',NOW(),'event');
INSERT INTO `lang_base` VALUES ('feedback','E_EVENT_NOT_FOUND','Event not found.',NOW(),'events');
INSERT INTO `lang_base` VALUES ('feedback','E_EVENT_SDATE_INVALID','Event start date is not valid.',NOW(),'event');
INSERT INTO `lang_base` VALUES ('feedback','E_EVENT_SEDATE_INVALID','The start date cannot be greater than the end date.',NOW(),'events');
INSERT INTO `lang_base` VALUES ('feedback','E_FILE_LOCKED','File is locked.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_FILE_NOT_FOUND','File not found.',NOW(),'download file');
INSERT INTO `lang_base` VALUES ('feedback','E_FOLDER_CREATE','Folder creation failed.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_FOLDER_EMPTY_TITLE','Folder title cannot be empty.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_FOLDER_NOT_FOUND','Folder cannot be found.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_FOLDER_NOT_SELECTED','You did not select a directory to upload the file to.',NOW(),'uploading file in library');
INSERT INTO `lang_base` VALUES ('feedback','E_FORUM_NOT_FOUND','Forum not found.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_FORUM_TITLE_EMPTY','Forum title cannot be empty.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_GROUP_EMPTY_TITLE','The group title cannot be empty.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_GROUP_NOT_FOUND','The selected group could not be found.',NOW(),'notifications when invalid group selected');
INSERT INTO `lang_base` VALUES ('feedback','E_JURIS_CREATE','Jurisdiction creation failed.',NOW(),'create juris');
INSERT INTO `lang_base` VALUES ('feedback','E_JURIS_NOT_FOUND','Jurisdiction not found.',NOW(),'delete juris');
INSERT INTO `lang_base` VALUES ('feedback','E_LANG_MISSING','You must choose a file to upload.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_LIBRARY_EMPTY_FILE','You must choose a file to upload to the library.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_LIBRARY_EMPTY_FILE_DESC','You must provide a description for the file you are uploading to the library.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_LIBRARY_MISSING_FILE','You must select a file.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_MSG_BODY_EMPTY','Message body cannot be empty.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_MSG_NOT_SENT','The message could not be sent.',NOW(),'Error on send mail');
INSERT INTO `lang_base` VALUES ('feedback','E_MSG_NO_EMAIL','The from email address cannot be empty.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_MSG_NO_RECIPIENT','You must select a recipient.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_MSG_SUBJECT_EMPTY','The subject cannot be empty.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_NEWS_CREATE','News or announcement cannot be created.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_NEWS_EMPTY_BODY','The body cannot be empty.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_NEWS_EMPTY_SUBJ','The subject cannot be empty.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_NEWS_NOT_FOUND','News or announcement cannot be found.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_NOTS_EDITED','Notification Settings could not be modified.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_NO_DB_CONNECT','Cannot connect to database.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_NO_FOLDERS_FOUND','There are no folders for you to add files to.',NOW(),'no folders founf to upload the drafting room files');
INSERT INTO `lang_base` VALUES ('feedback','E_NO_LANGUAGE_SUPPORT','The language selected is not supported.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_REG_EMAIL_EXISTS','An account with that email address already exists.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_REG_EMPTY_PASS','Password cannot be empty.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_REG_EMPTY_USERNAME','Username cannot be empty.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_REG_INVALID_EMAIL','Email is not valid.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_REG_MISSING_EMAIL','Email cannot be empty.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_REG_NEW_USER_ERROR','Account creation error.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_REG_PASS_NO_MATCH','Passwords did not match.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_REG_TERMS','You must accept the terms and conditions to become a member.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_REG_USER_EXISTS','That username already exists.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_REG_USER_EXISTS_ADD','Add the following member to this house?<br />\r\n<ul><li>Username: %1</li>\r\n<li>Email: %2</li>\r\n<li>First Name: %3</li>\r\n<li>Last Name: %4</li>\r\n</ul>\r\n<br />\r\n<a href=\"%5?mid=%6\">Yes, add this member instead</a>, or alter the account details below to create a different account.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_REG_WRONG_FORM','Username can only contain underscores (_), numbers, and letters.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_THREAD_BODY_EMPTY','Thread message cannot be empty.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_THREAD_NOT_FOUND','Thread not found.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_THREAD_SUBJECT_EMPTY','Thread subject cannot be empty.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_TRAN_NOT_FOUND','Transcript cannot be found.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_UNSPECIFIED','An unspecified error occurred.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_USER_BAD_PSWD','Your current password did not match.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_USER_EDIT','Unable to edit this member.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','E_USER_NOT_FOUND','Member account cannot be found, either because it never existed or has been deleted.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_ASSIGN_ADDED','Group members added successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_ASSIGN_EDITED','Group members edited successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_CANT_UPLOAD_NO_PUBLIC','You cannot add files to the library unless there is at least one public folder. Contact your group admin for more details.',NOW(),'cant upload file to library because no public folders');
INSERT INTO `lang_base` VALUES ('feedback','F_COMMENT_DELETED','Comment deleted successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_CONTACTS_CREATED','Contact added successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_CONTACTS_DELETED','Contact deleted successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_CONTACTS_UPDATED','Contact updated successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_DEPT_CREATED','Department created successfully.',NOW(),'create department');
INSERT INTO `lang_base` VALUES ('feedback','F_DEPT_DELETED','Department deleted successfully.',NOW(),'delete department');
INSERT INTO `lang_base` VALUES ('feedback','F_DEPT_EDITED','Department edited successfully.',NOW(),'edit department');
INSERT INTO `lang_base` VALUES ('feedback','F_DRAFT_COMMENT','Comment added successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_DRAFT_EDITED','File edit successful.',NOW(),'drafting room');
INSERT INTO `lang_base` VALUES ('feedback','F_DRAFT_FINALIZED','File moved to the Library successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_DRAFT_LOCKED','File locked successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_DRAFT_UNLOCKED','File unlocked successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_DRAFT_UPLOADED','File uploaded successfully.',NOW(),'drafting upload');
INSERT INTO `lang_base` VALUES ('feedback','F_DRAFT_UPLOADED_GA_NOTIFY','File uploaded successfully. Group administrator has been notified.',NOW(),'Draft room - notify group admin / file upload succesful');
INSERT INTO `lang_base` VALUES ('feedback','F_EVENT_ADDED','Event added successfully.',NOW(),'event');
INSERT INTO `lang_base` VALUES ('feedback','F_EVENT_DELETED','Event deleted.',NOW(),'events');
INSERT INTO `lang_base` VALUES ('feedback','F_EVENT_EDITED','Event edited successfully.',NOW(),'events');
INSERT INTO `lang_base` VALUES ('feedback','F_FILE_DELETED','File deleted successfully.',NOW(),'drafting delete');
INSERT INTO `lang_base` VALUES ('feedback','F_FILE_REMOVED','File removed successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_FOLDER_CREATED','Folder successfully created.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_FOLDER_DELETED','Folder successfully deleted.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_FOLDER_EDITED','Folder successfully edited.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_FORUM_ADDED','Forum added successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_FORUM_DELETED','Forum deleted successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_FORUM_EDITED','Forum edited successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_FORUM_SUBSCRIBED','You are now subscribed to the forum.',NOW(),'forum subscribed');
INSERT INTO `lang_base` VALUES ('feedback','F_FORUM_UNSUBSCRIBED','You are not subscribed to the forum any longer.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_GROUP_CREATED','Group has been created successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_GROUP_DELETED','Group has been deleted successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_GROUP_EDITED','Group has been edited successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_JURIS_CREATED','Jurisdiction created successfully.',NOW(),'create jurisdiction');
INSERT INTO `lang_base` VALUES ('feedback','F_JURIS_DELETED','Jurisdiction deleted successfully.',NOW(),'delete juris');
INSERT INTO `lang_base` VALUES ('feedback','F_JURIS_EDITED','Jurisdiction edited successfully.',NOW(),'edit jurisdiction');
INSERT INTO `lang_base` VALUES ('feedback','F_LIBRARY_ADDED','Library file added successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_MSG_DELETED','Message deleted successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_MSG_SENT','Message sent successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_MSG_SENT_DELETE','Reply sent and original message deleted.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_NEWS_CREATED','News or announcement has been created successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_NEWS_DELETED','News or announcement has been deleted successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_NEWS_EDITED','News or announcement has been edited successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_NOTS_EDITED','Notification settings modified successfully',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_SIGN_OUT','You have been signed-out successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_STICKY_UPDATED','Stickyness has been updated successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_THREAD_DELETED','Thread deleted successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_THREAD_EDITED','Thread edited successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_THREAD_LOCKED','Thread locked successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_THREAD_MSG_DELETED','Message deleted successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_THREAD_REPLY','Thread reply successful.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_THREAD_STARTED','Thread created successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_THREAD_SUBCRIBED','You have been subscribed to that thread successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_THREAD_UNLOCKED','Thread unlocked successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_THREAD_UNSUBCRIBED','You have been unsubscribed to that thread successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_TRAN_DELETED','Transcript deleted successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_USER_CREATED','Member account created successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_USER_DELETE','Member deleted successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_USER_EDITED','Member account edited successfully.',NOW(),'');
INSERT INTO `lang_base` VALUES ('feedback','F_USER_REMOVED','Member has been successfully removed from this house.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','404','The page you are trying to access,\r\n		http://pwd.atutor.ca%s,\r\n\r\n			cannot be found.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','accepted_date','Accepted Date',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','accepted_date_asc','Accepted Date Ascending',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','accepted_date_desc','Accepted Date Descending',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','accept_terms','Do you accept the terms outlined in the Terms above?',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','accessibility','Accessibility',NOW(),'accessibility link in the header');
INSERT INTO `lang_base` VALUES ('template','accessibility_page','<h3>Accessibility</h3>\r\n<p>ACollab includes features to ensure people using assistive technology are able to participate fully in online interaction. These features are described below.</p>\r\n<ol>\r\n<li><strong>Navigation bypass link</strong>: In the top left corner is a hidden bypass link that allows screen reader users to skip over the repetitive navigation elements at the top of the screen, and jump directly to the content being presented.</li>\r\n\r\n<li><strong>Keyboard Access</strong>: Many features include direct keyboard access so users can navigate within ACollab without ever using a mouse. Depending on the browser you are using, accesskey will either activate a feature, or send the cursor to a features after which you may need to press the Tab key, or the Enter key, to activate the feature. To discover keyboard command, hover a mouse pointer over features to display its \"title\" information (note that this does not work in all browsers), or listen for the Alt key combination with your screen reader. Below is a list of accesskeys found in ACollab:\r\n<br /><strong>Shortcut Access Keys</strong>:<br />\r\n<strong>Alt-0 </strong>: The Group List link.<br />\r\n<strong>Alt-1 </strong>: The Home Tab in the main navigation.<br />\r\n<strong>Alt-2 </strong>: The Forums Tab in the main navigation.<br />\r\n<strong>Alt-3 </strong>: The Chat Room Tab in the main navigation.<br />\r\n<strong>Alt-4 </strong>: The Inbox Tab in the main navigation.<br />\r\n<strong>Alt-5 </strong>: The Events Calendar Tab in the main navigation.<br />\r\n<strong>Alt-6 </strong>: The Library Tab in the main navigation.<br />\r\n<strong>Alt-7 </strong>: The Drafting Room Tab in the main navigation.<br />\r\n<strong>Alt-8 </strong>: The Group Members Tab in the main navigation.<br />\r\n<br />\r\n<strong>Chat Keys</strong>:<br />\r\n<strong>Alt-c </strong>: Jump to compose message<br />\r\n<strong>Alt-r </strong>: Refresh messages<br />\r\n<strong>Alt-m  </strong>: Jump to Message list<br />\r\n<strong>Alt-q </strong>:  Jump to Chat Help<br />\r\n</li>\r\n\r\n<li><strong>Accessible Chat</strong>: While in the chat application of ACollab, choose Edit Preferences, choose from the options to Manual Refresh Message Checking, choose to order message from \"New to Old\" for screen reader users, or \"Old to New\" for screen magnifier users. Once in the Chat, see the Chat Help for more about navigating within the Chat Room.</li>\r\n\r\n<li><strong>Focus Highlights</strong>: When using the Tab key to move through the features of the ACollab interface, the location of the cursor is highlighted in yellow.</li>\r\n\r\n<li><strong>Image Alternatives</strong>: All images in the ACollab interface include a text alternative that can be read by assistive technologies.</li>\r\n</ol>',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','account','Account',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','account_type','Account Type',NOW(),'profile');
INSERT INTO `lang_base` VALUES ('template','account_type_asc','Account Type Ascending',NOW(),'admin users');
INSERT INTO `lang_base` VALUES ('template','account_type_desc','Account Type Descending',NOW(),'admin users');
INSERT INTO `lang_base` VALUES ('template','acollab_home','ACollab Website',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','add','Add',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','adding_to_library','You are adding a file to the library.',NOW(),'adding a file to the library');
INSERT INTO `lang_base` VALUES ('template','address','Address',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','add_comment','Add Comment',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','add_contact','Add Contact',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','add_draft_file','Add file from Drafting Room',NOW(),'library');
INSERT INTO `lang_base` VALUES ('template','add_english_version','Add English Version',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','add_event','Add an Event',NOW(),'events');
INSERT INTO `lang_base` VALUES ('template','add_file','Add File',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','add_french_version','Add French Version',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','add_initial_file','Add Initial File',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','add_revision','Add Revision',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','add_revisions_comments','Add Revision(s) / Comment(s)',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','add_revision_comment','Add Revision/Comment',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','admin','Admin',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','administration','Administration',NOW(),'admin');
INSERT INTO `lang_base` VALUES ('template','admin_template','Admin',NOW(),'main navigation across the top');
INSERT INTO `lang_base` VALUES ('template','apply','Apply',NOW(),'forum locking');
INSERT INTO `lang_base` VALUES ('template','archive','Archive',NOW(),'homepage');
INSERT INTO `lang_base` VALUES ('template','assign_admin','Assign Admin(s)',NOW(),'houses');
INSERT INTO `lang_base` VALUES ('template','at','at',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','attached_files','Attached Files',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','atutor_integration','ATutor Integration',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','at_assign_users','Assign Users',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','at_go_to_group','Stay in ACollab',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','at_jump','Jump',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','author','Author',NOW(),'forum thread view');
INSERT INTO `lang_base` VALUES ('template','bi','Bilingual',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','blue','Blue',NOW(),'code picker');
INSERT INTO `lang_base` VALUES ('template','body','Body',NOW(),'admin news');
INSERT INTO `lang_base` VALUES ('template','bold','Bold',NOW(),'code picker');
INSERT INTO `lang_base` VALUES ('template','branch','Branch',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','branch_directorate_section','Branch/Directorate/Section',NOW(),'admin add/edit user management');
INSERT INTO `lang_base` VALUES ('template','by','Posted By',NOW(),'file by');
INSERT INTO `lang_base` VALUES ('template','bytes','Bytes',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','cancel','Cancel',NOW(),'cancel button');
INSERT INTO `lang_base` VALUES ('template','cannot_change_account','* You cannot change your own account type.',NOW(),'admin user edit');
INSERT INTO `lang_base` VALUES ('template','cannot_change_username','*You cannot change your own username while signed in.',NOW(),'admin user edit and options change profile');
INSERT INTO `lang_base` VALUES ('template','cannot_reply_forum','You cannot reply to threads in this forum.',NOW(),'forum view');
INSERT INTO `lang_base` VALUES ('template','cannot_start_thread','You cannot start new threads in this forum.',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','cannot_view_forum','You cannot view this forum',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','categories','Categories',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','categories_select','To add a file to more<br />\r\nthan one category,<br />\r\nhold down the Control<br />\r\nkey while clicking on the<br />categories for the file.',NOW(),'add file to library');
INSERT INTO `lang_base` VALUES ('template','center','Center',NOW(),'code picker');
INSERT INTO `lang_base` VALUES ('template','change_password','Change Password',NOW(),'options');
INSERT INTO `lang_base` VALUES ('template','change_profile','Change Your Personal Information',NOW(),'options');
INSERT INTO `lang_base` VALUES ('template','chat','Chat',NOW(),'breadcrumb');
INSERT INTO `lang_base` VALUES ('template','chatid_lifespan','Chat ID Lifespan',NOW(),'chat Settings');
INSERT INTO `lang_base` VALUES ('template','chatid_life_details','The <em>Chat ID Lifespan</em> is the amount of time since the user\'s last login that a Chat ID and the associated preference settings will sit before being deleted.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','chat_altc','Alt + C: Jump to Compose Message',NOW(),'chat options frame');
INSERT INTO `lang_base` VALUES ('template','chat_altm','Alt + M + Enter: Jump to Messages',NOW(),'chat options frame');
INSERT INTO `lang_base` VALUES ('template','chat_altq','Alt + Q + Enter :  Jump to Chat Help',NOW(),'chat options frame');
INSERT INTO `lang_base` VALUES ('template','chat_altr','Alt + R + Enter: Refresh Messages',NOW(),'chat options frame');
INSERT INTO `lang_base` VALUES ('template','chat_auto180_checking','Automatic (180 second interval)',NOW(),'chat message checking preference');
INSERT INTO `lang_base` VALUES ('template','chat_auto20_checking','Automatic (20 second interval)',NOW(),'chat message checking preference');
INSERT INTO `lang_base` VALUES ('template','chat_auto5_checking','Automatic (5 second interval)',NOW(),'chat message checking preferences');
INSERT INTO `lang_base` VALUES ('template','chat_auto60_checking','Automatic (60 second interval)',NOW(),'chat message checking preference');
INSERT INTO `lang_base` VALUES ('template','chat_chime_help','Set to \"Yes\" to recieve an audio tone when new messsages are posted. Does not work in all Web browsers.',NOW(),'chat message checking preferences');
INSERT INTO `lang_base` VALUES ('template','chat_chime_no','No',NOW(),'chat message checking preferences');
INSERT INTO `lang_base` VALUES ('template','chat_chime_yes','Yes',NOW(),'chat message checking preferences');
INSERT INTO `lang_base` VALUES ('template','chat_compose_message','Compose Message',NOW(),'chat message compose frame');
INSERT INTO `lang_base` VALUES ('template','chat_currently_active','Currently active',NOW(),'chat hompage transcript activated');
INSERT INTO `lang_base` VALUES ('template','chat_date','Date',NOW(),'chat homepage sorting');
INSERT INTO `lang_base` VALUES ('template','chat_date_ascending','Date Ascending',NOW(),'chat home page sorting');
INSERT INTO `lang_base` VALUES ('template','chat_date_descending','Date Descending',NOW(),'chat home page sorting');
INSERT INTO `lang_base` VALUES ('template','chat_delete','Delete',NOW(),'chat homepage transcriipt delete');
INSERT INTO `lang_base` VALUES ('template','chat_edit_prefs','Edit Preferences',NOW(),'chat options frame');
INSERT INTO `lang_base` VALUES ('template','chat_enter','Enter Chat',NOW(),'chat preferences pages');
INSERT INTO `lang_base` VALUES ('template','chat_exit','Exit Chat',NOW(),'chat options frame');
INSERT INTO `lang_base` VALUES ('template','chat_full_history','Full History',NOW(),'chat options frame');
INSERT INTO `lang_base` VALUES ('template','chat_help','Help',NOW(),'chat options frame');
INSERT INTO `lang_base` VALUES ('template','chat_help_display_blurb','<p>Note: <em>Jump To</em> links and the <em>Quick Key</em> list only appear if you have turned on <em>Navigation Aids</em> in you preferences.</p>\r\n \r\n<ul>\r\n	<li>The <em>Jump to Quick Keys</em> link at the top takes you to a list of quick keys for the Chat. </li>\r\n	<li>The <em>Message Area</em> displays the most recent messages (up to ten). </li>\r\n    <li>The <em>Jump to Messages</em> links take you to the beginning of the list of messages. (Alt+M+Enter) </li>\r\n    <li>The <em>Refresh Messages</em> link lets you check for new messages (Alt+R+Enter). </li>\r\n    <li>The <em>Compose Message</em> Field and <em>Send Button</em> let you enter and send messages (Alt+C to enter the Compose Field, Enter to send a completed message). </li>\r\n</ul>',NOW(),'chat help screen');
INSERT INTO `lang_base` VALUES ('template','chat_help_display_frame','Display Frame Help (top left)',NOW(),'chat help screen');
INSERT INTO `lang_base` VALUES ('template','chat_help_display_jump','Jump to Display Frame Help',NOW(),'chat help screen');
INSERT INTO `lang_base` VALUES ('template','chat_help_history_blurb','The <em>User List</em> shows the Chat IDs of all the users in the chat. Click on a Chat ID to see the messages sent by that participant, along with your own messages. Click on <em>All Users</em> to see the messages sent by all participants.',NOW(),'chat help screen');
INSERT INTO `lang_base` VALUES ('template','chat_help_history_frame','User List and History Help',NOW(),'chat help screen');
INSERT INTO `lang_base` VALUES ('template','chat_help_history_jump','Jump to User List and History Help',NOW(),'chat help screen');
INSERT INTO `lang_base` VALUES ('template','chat_help_jump_top','Jump to Top',NOW(),'chat_help screen');
INSERT INTO `lang_base` VALUES ('template','chat_help_options_blurb','<ul>\r\n	<li>The <em>Edit Preferences</em> link opens the preferences so you can modify your control and display settings. </li>\r\n    <li>The <em>Exit Chat</em> link ends your chat session.</li>\r\n    <li>The <em>Help</em> link brings you to this screen. (Alt+Q+Enter)</li>\r\n</ul>',NOW(),'chat help screen');
INSERT INTO `lang_base` VALUES ('template','chat_help_options_frame','Options Help (top right)',NOW(),'chat help screen');
INSERT INTO `lang_base` VALUES ('template','chat_help_options_jump','Jump to Options Help',NOW(),'chat help screen');
INSERT INTO `lang_base` VALUES ('template','chat_help_screen','Help Screen',NOW(),'chat help');
INSERT INTO `lang_base` VALUES ('template','chat_history_messages','History - Messages %s to %s of %s',NOW(),'chat full history screen');
INSERT INTO `lang_base` VALUES ('template','chat_jump_to_message','Jump to Message Area',NOW(),'chat display frame');
INSERT INTO `lang_base` VALUES ('template','chat_keys_available','Available only in Internet Explorer. Macintosh users use Ctrl instead of Alt.',NOW(),'chat options frame');
INSERT INTO `lang_base` VALUES ('template','chat_layout_prefs','Preferences: Layout Settings',NOW(),'chat layout preferences');
INSERT INTO `lang_base` VALUES ('template','chat_list_and_history','User List and History',NOW(),'chat options frame');
INSERT INTO `lang_base` VALUES ('template','chat_logged_out','User %s has logged out.',NOW(),'logout');
INSERT INTO `lang_base` VALUES ('template','chat_manual_checking','Manual Refresh',NOW(),'chat message checking preference');
INSERT INTO `lang_base` VALUES ('template','chat_messages','Messages',NOW(),'chat message display frame');
INSERT INTO `lang_base` VALUES ('template','chat_message_checking','Message Checking:',NOW(),'chat message checking preferences');
INSERT INTO `lang_base` VALUES ('template','chat_message_check_help','Select the interval rate at which new messages are retrieved from the server. Screen reader users set this option to Manual Refresh.',NOW(),'chat message checking preferences');
INSERT INTO `lang_base` VALUES ('template','chat_message_chime','New Message Chime:',NOW(),'chat message checking preferences');
INSERT INTO `lang_base` VALUES ('template','chat_message_new_help','Screen reader users choose \"Yes\", along with the Manual Refresh setting.',NOW(),'chat layout preferences');
INSERT INTO `lang_base` VALUES ('template','chat_message_order_help','Select New to Old to display new messages at the top of the screen, and Old to New to display new messages at the bottom of the screen.',NOW(),'chat layout preferences');
INSERT INTO `lang_base` VALUES ('template','chat_name','Name',NOW(),'chat home page sort by name heading');
INSERT INTO `lang_base` VALUES ('template','chat_name_ascending','Name Ascending',NOW(),'chat home page');
INSERT INTO `lang_base` VALUES ('template','chat_name_descending','Name Descending',NOW(),'chat home page sort by');
INSERT INTO `lang_base` VALUES ('template','chat_newmsg_no','No',NOW(),'chat layout preferences');
INSERT INTO `lang_base` VALUES ('template','chat_newmsg_prefs','Show Only New Messages?',NOW(),'chat layout preferences');
INSERT INTO `lang_base` VALUES ('template','chat_newmsg_yes','Yes',NOW(),'chat layout preferences');
INSERT INTO `lang_base` VALUES ('template','chat_newold_prefs','New to Old',NOW(),'chat layout preferences');
INSERT INTO `lang_base` VALUES ('template','chat_next','Next',NOW(),'chat preferences pages');
INSERT INTO `lang_base` VALUES ('template','chat_none_found','No transcripts found.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','chat_no_new_messages','No new messages.',NOW(),'chat display frames');
INSERT INTO `lang_base` VALUES ('template','chat_oldnew_prefs','Old to New',NOW(),'chat layout preferences');
INSERT INTO `lang_base` VALUES ('template','chat_options','Options',NOW(),'chat options frame');
INSERT INTO `lang_base` VALUES ('template','chat_order_prefs','Order of Messages:',NOW(),'chat layout preferences');
INSERT INTO `lang_base` VALUES ('template','chat_post','Enter: Post a completed message',NOW(),'chat options frame');
INSERT INTO `lang_base` VALUES ('template','chat_prefs_checking','Preferences: Message Checking Settings',NOW(),'chat checking preferences');
INSERT INTO `lang_base` VALUES ('template','chat_previous','Previous',NOW(),'chat preferences previous button');
INSERT INTO `lang_base` VALUES ('template','chat_quick_keys','Quick Keys',NOW(),'chat options frame');
INSERT INTO `lang_base` VALUES ('template','chat_refresh_message','Refresh Messages',NOW(),'chat display frame');
INSERT INTO `lang_base` VALUES ('template','chat_refresh_user_list','Refresh User List',NOW(),'chat options frame');
INSERT INTO `lang_base` VALUES ('template','chat_return','Return to Chat',NOW(),'chat help screen');
INSERT INTO `lang_base` VALUES ('template','chat_room','Chat Room',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','chat_send','Send',NOW(),'chat send button');
INSERT INTO `lang_base` VALUES ('template','chat_settings','Chat Settings',NOW(),'admin');
INSERT INTO `lang_base` VALUES ('template','chat_sort_by_date','Sort by Date',NOW(),'chat home page sorting');
INSERT INTO `lang_base` VALUES ('template','chat_sort_by_name','Sort by Name',NOW(),'chat home page sorting');
INSERT INTO `lang_base` VALUES ('template','chat_system','system',NOW(),'chat display frame system message');
INSERT INTO `lang_base` VALUES ('template','chat_template','<u>C</u>hat Room',NOW(),'main navigation across the top');
INSERT INTO `lang_base` VALUES ('template','chat_user_logged_in','User %s has logged in.',NOW(),'chat display system login message');
INSERT INTO `lang_base` VALUES ('template','chat_user_logged_out','User %s has been logged out due to inactivity.',NOW(),'chat logout system message');
INSERT INTO `lang_base` VALUES ('template','chat_use_headings_to_sort','Use the column headings to sort by that column.',NOW(),'chat home page transcript sort instructions');
INSERT INTO `lang_base` VALUES ('template','chat_you','you',NOW(),'chat users online list');
INSERT INTO `lang_base` VALUES ('template','choose_group','Please select a group',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','city','City',NOW(),'admin add/edit user management');
INSERT INTO `lang_base` VALUES ('template','close','Close',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','close_help_window','Close Help Window',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','codes','Codes',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','code_picker','Click on the code, emoticon, or colour to paste at the end of your message.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','colours','Colours',NOW(),'code picker');
INSERT INTO `lang_base` VALUES ('template','comment','Comment',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','comments','Comments',NOW(),'revision comments');
INSERT INTO `lang_base` VALUES ('template','comments_due_by','Comments due by',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','comments_not_accepted','Comments and revisions are no longer accepted.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','compose_new_message','Compose New Message',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','confirm_delete','Do you really want to delete?',NOW(),'localization editor');
INSERT INTO `lang_base` VALUES ('template','confirm_delete_category','Are you sure you want to delete this category?',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','confirm_delete_contact','Are you sure you want to delete this contact?',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','confirm_delete_department','Are you sure you want to delete this department?',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','confirm_delete_event','Are you sure you want to delete this event?',NOW(),'events');
INSERT INTO `lang_base` VALUES ('template','confirm_delete_file','Are you sure you want to delete this file, all its revisions, and comments?',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','confirm_delete_folder','Are you sure you want to delete this folder and all of its contents?',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','confirm_delete_forum','Are you sure you want to delete this forum?',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','confirm_delete_group','Are you sure you want to delete this group?',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','confirm_delete_jurisdiction','Are you sure you want to delete this jurisdiction?',NOW(),'delete juris');
INSERT INTO `lang_base` VALUES ('template','confirm_delete_lang','Are you sure you want to delete the language <strong>%s</strong>?',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','confirm_delete_member','Are you sure you want to delete this member account?',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','confirm_delete_news','Are you sure you want to delete this news or announcement?',NOW(),'admin news delete');
INSERT INTO `lang_base` VALUES ('template','confirm_delete_revision','Are you sure you want to delete this revision and its comments?',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','confirm_delete_thread','Are you sure you want to delete this entire thread?',NOW(),'delete thread');
INSERT INTO `lang_base` VALUES ('template','confirm_delete_tran','Are you sure you want to delete this transcript?',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','confirm_new_password','Confirm New Password',NOW(),'options change password');
INSERT INTO `lang_base` VALUES ('template','confirm_post_delete','Are you sure you want to delete this message?',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','confirm_remove_file','Are you sure you want to remove this file from the library?',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','confirm_remove_user','Are you sure you want to remove this member from this house?',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','contact_list','Contact List',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','context','Context:',NOW(),'localization editor');
INSERT INTO `lang_base` VALUES ('template','continue','Continue',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','copyright','Copyright &copy; <a href=\"http://www.utoronto.ca/atrc/\" class=\"footer\" onfocus=\"this.className=\'highlight\'\" onblur=\"this.className=\'footer\'\">Adaptive Technology Resource Center</a> 2004<br />\r\nFor general help with using the ACollab system see the official <a href=\"http://www.atutor.ca/acollab/docs/howto.php\" class=\"footer\" onfocus=\"this.className=\'highlight\'\" onblur=\"this.className=\'footer\'\">ACollab HowTo course</a>.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','country','Country',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','course','Course',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','courses_below','Courses Below',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','courtyard','Courtyard',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','create','Create',NOW(),'forum create button');
INSERT INTO `lang_base` VALUES ('template','create_account','Create a new member account',NOW(),'admin users');
INSERT INTO `lang_base` VALUES ('template','create_category','Create Category',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','create_department','Create Department',NOW(),'admin create new department');
INSERT INTO `lang_base` VALUES ('template','create_file_type','Create File Type',NOW(),'file type screen');
INSERT INTO `lang_base` VALUES ('template','create_folder','Create Folder',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','create_forum','Create Forum',NOW(),'create forum');
INSERT INTO `lang_base` VALUES ('template','create_group','Create Group',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','create_jurisdiction','Create Jurisdiction',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','create_member_account','Create Member Account',NOW(),'admin user create');
INSERT INTO `lang_base` VALUES ('template','create_news','Create News or Announcement',NOW(),'admin news create');
INSERT INTO `lang_base` VALUES ('template','create_sub_folder','Create Sub-Folder',NOW(),'Folder Management');
INSERT INTO `lang_base` VALUES ('template','creation_date','Creation Date',NOW(),'admin users');
INSERT INTO `lang_base` VALUES ('template','creation_date_asc','Creation Date Ascending',NOW(),'admin users');
INSERT INTO `lang_base` VALUES ('template','creation_date_desc','Creation Date Descending',NOW(),'admin users');
INSERT INTO `lang_base` VALUES ('template','current_password','Current Password',NOW(),'options change password');
INSERT INTO `lang_base` VALUES ('template','current_tran','You may view the current transcript at:',NOW(),'admin chat');
INSERT INTO `lang_base` VALUES ('template','date','Date',NOW(),'admin news');
INSERT INTO `lang_base` VALUES ('template','date_apr','April',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','date_april','April',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_asc','Date Ascending',NOW(),'admin news');
INSERT INTO `lang_base` VALUES ('template','date_aug','Aug',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_august','August',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_dec','Dec',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_december','December',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_desc','Date Descending',NOW(),'admin news');
INSERT INTO `lang_base` VALUES ('template','date_feb','Feb',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_february','February',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_fri','Fri',NOW(),'events');
INSERT INTO `lang_base` VALUES ('template','date_friday','Friday',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_jan','Jan',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_january','January',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_jul','Jul',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_july','July',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_jun','Jun',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_june','June',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_mar','Mar',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_march','March',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_may','May',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_may_short','May',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','date_mon','Mon',NOW(),'events');
INSERT INTO `lang_base` VALUES ('template','date_monday','Monday',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_nov','Nov',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_november','November',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_oct','Oct',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_october','October',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_sat','Sat',NOW(),'events');
INSERT INTO `lang_base` VALUES ('template','date_saturday','Saturday',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_sep','Sep',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_september','September',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_sun','Sun',NOW(),'events');
INSERT INTO `lang_base` VALUES ('template','date_sunday','Sunday',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_thu','Thu',NOW(),'events');
INSERT INTO `lang_base` VALUES ('template','date_thursday','Thursday',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_tue','Tue',NOW(),'events');
INSERT INTO `lang_base` VALUES ('template','date_tuesday','Tuesday',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','date_wed','Wed',NOW(),'events');
INSERT INTO `lang_base` VALUES ('template','date_wednesday','Wednesday',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','delete','Delete',NOW(),'general delete button');
INSERT INTO `lang_base` VALUES ('template','delete_category','Delete Category',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','delete_contact','Delete Contact',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','delete_department','Delete Department',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','delete_event','Delete Event',NOW(),'events');
INSERT INTO `lang_base` VALUES ('template','delete_file','Delete File',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','delete_folder','Delete Folder',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','delete_forum','Delete Forum',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','delete_forum_message','Delete Message',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','delete_group','Delete Group',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','delete_jurisdiction','Delete Jurisdiction',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','delete_member_account','Delete Member Account',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','delete_news','Delete News or Announcement',NOW(),'admin news');
INSERT INTO `lang_base` VALUES ('template','delete_revision','Delete Revision',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','delete_revision_comment','Delete Comment',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','delete_thread','Delete Thread',NOW(),'delete thread');
INSERT INTO `lang_base` VALUES ('template','delete_transcript','Delete Transcript',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','delete_x','Delete (Alt-x)',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','del_self_warning','Are you sure you want to delete yourself?  <br />Deleting yourself from this group will mean you will no longer have member or group admin abilities.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','denotes_required','%s denotes required fields.',NOW(),'required field');
INSERT INTO `lang_base` VALUES ('template','departments','Departments',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','department_ministry','Department/Ministry',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','description','Description',NOW(),'forum description');
INSERT INTO `lang_base` VALUES ('template','description_responsibilities','Description &amp; Responsibilities',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','directory','Directory',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','disable','disable',NOW(),'user notification options');
INSERT INTO `lang_base` VALUES ('template','disable_personal_folder','disable personal folder',NOW(),'group_admin');
INSERT INTO `lang_base` VALUES ('template','download','Download',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','download_revision','Download Revision #%s',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','drafting_replace_file','Do you wish to keep your existing file, or do you want to replace it?',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','drafting_room','Drafting Room',NOW(),'drafting room');
INSERT INTO `lang_base` VALUES ('template','draft_new_file','Dear %1$s user,\r\n\r\nThis email is to notify you of a file addition in the drafting room for the group \'%1$s\'. The file title is: %2$s.\r\n\r\nSign-in at: %3$s',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','draft_new_revision','Dear %1$s user,\r\n\r\nThis email is to notify you of a revision addition in the drafting room for the group \'%1$s\'. The file title is: %2$s.\r\n\r\nSign-in at: %3$s',NOW(),'new revision added');
INSERT INTO `lang_base` VALUES ('template','draft_notification','Drafting Room Notification: new file added',NOW(),'notifications');
INSERT INTO `lang_base` VALUES ('template','edit','Edit',NOW(),'everywhere');
INSERT INTO `lang_base` VALUES ('template','edit_category','Edit Category',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','edit_contact','Edit Contact',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','edit_department','Edit Department',NOW(),'admin edit department');
INSERT INTO `lang_base` VALUES ('template','edit_event','Edit Event',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','edit_file','Edit File',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','edit_folder','Edit Folder',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','edit_forum','Edit Forum',NOW(),'edit forum');
INSERT INTO `lang_base` VALUES ('template','edit_jurisdiction','Edit Jurisdiction',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','edit_member_account','Edit Member Account',NOW(),'admin user edit');
INSERT INTO `lang_base` VALUES ('template','edit_message','Edit Message',NOW(),'edit forum message');
INSERT INTO `lang_base` VALUES ('template','edit_news','Edit News or Announcement',NOW(),'admin news');
INSERT INTO `lang_base` VALUES ('template','edit_revision','Edit Revision',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','edit_revision_comment','Edit Comment',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','email','Email',NOW(),'profile');
INSERT INTO `lang_base` VALUES ('template','emoticons','Emoticons',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','empty_folder','Empty folder.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','empty_inbox','Your inbox is empty.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','en','English',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','enable','enable',NOW(),'user notification options');
INSERT INTO `lang_base` VALUES ('template','enable_personal_folder','enable personal folder',NOW(),'group-admin');
INSERT INTO `lang_base` VALUES ('template','end_date','End Date',NOW(),'events');
INSERT INTO `lang_base` VALUES ('template','end_time','End Time',NOW(),'events');
INSERT INTO `lang_base` VALUES ('template','english','English',NOW(),'admin create/edit member');
INSERT INTO `lang_base` VALUES ('template','enrolled','Enrolled',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','enter_chat','Enter the Chat',NOW(),'chat home page');
INSERT INTO `lang_base` VALUES ('template','en_title','English Title',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','en_title_asc','Sort by English title ascending.',NOW(),'admin jurisdictions');
INSERT INTO `lang_base` VALUES ('template','en_title_desc','Sort by English title descending.',NOW(),'admin jurisdiction');
INSERT INTO `lang_base` VALUES ('template','error','Error',NOW(),'error msgs');
INSERT INTO `lang_base` VALUES ('template','events_calendar','Calendar',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','event_attach_files','You can attach up to five files from the Library, Drafting Room or Archives.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','event_date_format','%%M %%j, %%Y',NOW(),'events');
INSERT INTO `lang_base` VALUES ('template','event_date_format_time','%%M %%j, %%Y - %%g:%%i %%A',NOW(),'events');
INSERT INTO `lang_base` VALUES ('template','event_files','If you would like to attach files to a Calendar entry, these files must already be in the Library or Drafting Room. You may use the buttons below to add files to the Library or Drafting Room, then attach them to your event using the drop-down lists (file one, file two...) below.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','event_new_event','A new event has been added in the following group: %1s',NOW(),'notification email');
INSERT INTO `lang_base` VALUES ('template','event_notification','Events Notification: new event added',NOW(),'notifications');
INSERT INTO `lang_base` VALUES ('template','event_title','Title',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','extension','Extension',NOW(),'file types heading');
INSERT INTO `lang_base` VALUES ('template','fax','Fax',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','feedback','Feedback',NOW(),'feedback msgs');
INSERT INTO `lang_base` VALUES ('template','file','File',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','files','Files',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','file_1','File 1',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','file_2','File 2',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','file_3','File 3',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','file_4','File 4',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','file_5','File 5',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','file_date_format','%%M %%j, %%Y',NOW(),'drafting room date');
INSERT INTO `lang_base` VALUES ('template','file_name','File Name',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','file_size','File Size',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','file_type','File Type',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','file_types','File Types',NOW(),'file types screen');
INSERT INTO `lang_base` VALUES ('template','finalize','Finalize',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','finalize_attach','Attach as <strong>%s</strong> version of',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','finalize_blurb','Finalizing a drafting document will move its most recent revision to the Library and delete all its other revisions and comments. If this file is a language variant of an existing Library document then you should choose to attach this document to the pre-existing document from the list provided.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','finalize_move','Move <strong>%s</strong> to library as is.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','first_name','First Name',NOW(),'profile');
INSERT INTO `lang_base` VALUES ('template','first_name_asc','First Name Ascending',NOW(),'admin users');
INSERT INTO `lang_base` VALUES ('template','first_name_desc','First Name Descending',NOW(),'admin users');
INSERT INTO `lang_base` VALUES ('template','folder','Folder',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','folders','Folders',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','footer_time','%%l %%F %%j<sup>%%S</sup> - %%g:%%i %%A',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','forum','Forum',NOW(),'forum title');
INSERT INTO `lang_base` VALUES ('template','forums','Forums',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','forum_date_format','%%D %%M %%j - %%H:%%i',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','forum_html_disabled','HTML is disabled.',NOW(),'forum post');
INSERT INTO `lang_base` VALUES ('template','forum_links','All words with http:// and email addresses are made into links.',NOW(),'forum post');
INSERT INTO `lang_base` VALUES ('template','forum_management','Forum Management',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','forum_new_submsg','A new message has been posted on the forum %1s, in the group %2s',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','forum_not_found','Forum Not Found',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','forum_rights_none','None (Cannot view, reply, or start threads)',NOW(),'create forum');
INSERT INTO `lang_base` VALUES ('template','forum_rights_reply','View and reply (Cannot start threads)',NOW(),'create forum');
INSERT INTO `lang_base` VALUES ('template','forum_rights_start','View, reply, and start threads',NOW(),'create forum');
INSERT INTO `lang_base` VALUES ('template','forum_rights_view','View only (Cannot reply or start threads)',NOW(),'create forum');
INSERT INTO `lang_base` VALUES ('template','forum_template','Fo<u>r</u>ums',NOW(),'main navigation across the top');
INSERT INTO `lang_base` VALUES ('template','forum_title','Forum Title',NOW(),'forum edit/create');
INSERT INTO `lang_base` VALUES ('template','fr','French',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','french','French',NOW(),'admin add/edit user management');
INSERT INTO `lang_base` VALUES ('template','from','From',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','from_email','From Email',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','fr_title','French Title',NOW(),'admin jurisdictions');
INSERT INTO `lang_base` VALUES ('template','fr_title_asc','Sort by French title ascending',NOW(),'admin jurisdictions');
INSERT INTO `lang_base` VALUES ('template','fr_title_desc','Sort by French title descending.',NOW(),'admin jurisdictions');
INSERT INTO `lang_base` VALUES ('template','government_level','Government Level',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','go_to','Go to',NOW(),'house home page');
INSERT INTO `lang_base` VALUES ('template','gray','Gray',NOW(),'code picker');
INSERT INTO `lang_base` VALUES ('template','green','Green',NOW(),'code picker');
INSERT INTO `lang_base` VALUES ('template','groups','Groups',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','group_admin','Group Admin',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','group_belongs_to_course','This group belongs to an ATutor course.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','group_folders','Group Folders',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','group_members','Group Members',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','group_member_management','Group Member Management',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','group_properties','Group Properties',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','help','Help',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','help_add_categories','House Admins can add new grouping categories by opening the Administration Screen, then choosing Categories.',NOW(),'library home');
INSERT INTO `lang_base` VALUES ('template','help_add_contacts','Keep track of names and contact information for people or organizations not already listed in the House Members list.',NOW(),'contact list');
INSERT INTO `lang_base` VALUES ('template','help_add_event','Choosing an end date will cause an event to be listed in the calendar on each of the days between the start and end dates.  Omit the end date to have an event listed on it\'s start date only.',NOW(),'add event screen');
INSERT INTO `lang_base` VALUES ('template','help_admin_forum_options','Click on the exclamation icon to the right of a thread to \"stick\" that thread to the top of the thread list. Click on the lock icon to lock a thread from viewing or posting. Click the \"X\" icon to delete a thread and all messages posted to that thread.',NOW(),'forum when viewed by houseadmin');
INSERT INTO `lang_base` VALUES ('template','help_admin_houses','House are areas where independant groups can share files and collaborate on document editing. When creating a House a House Admin must be assigned to manage the group.',NOW(),'superadmin create houses');
INSERT INTO `lang_base` VALUES ('template','help_chat_transcript','Contact your ACollab House Admin to have a transcript recorded.',NOW(),'chat home page');
INSERT INTO `lang_base` VALUES ('template','help_create_categories','Create categories for this house to be used for sorting Library and Drafting Room documents. Categories can be topic areas, types of documents, or any other term that might be used to sort or group files.',NOW(),'house admin category creation screen');
INSERT INTO `lang_base` VALUES ('template','help_drafting','Click on a document\'s \"Title\"  to download the latest version for editing. Click on \"Revisions/Comments\" to upload your revised version of the document. The original owner of a document may choose to Edit properties or Delete the document, and when revisions are complete, move the document into the Library by choosing \"Finalize\".',NOW(),'drafting room home page');
INSERT INTO `lang_base` VALUES ('template','help_edit_file','In the File field, choose the Browse button to locate a replacement file on your hard drive for uploading, otherwise select the radio button next to the file\'s filename to preserve the file. Choose a \"Comments Due By\" date, after which revisions or comments are no longer accepted.',NOW(),'drafting room');
INSERT INTO `lang_base` VALUES ('template','help_events','To add new events open the Calendar, then click on \"Add an Entry\".',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','help_forums','To add or manage forums open the Adminstration screen then choose \"Forum Management.\"',NOW(),'forums home page');
INSERT INTO `lang_base` VALUES ('template','help_forum_rights','Select from the choices to : hide a forum (None), archive a forum, (View only), create focused discussions (View and reply), or create open discussions (View, reply, start threads)',NOW(),'create new forum houseadmin');
INSERT INTO `lang_base` VALUES ('template','help_library','Click on a document\'s \"Title\"  to download it for viewing. The original owner of a document may choose to Edit properties or Delete the document, or add the document in another language. Documents can be moved from the Drafting Room into the Library when revisions are complete.',NOW(),'library');
INSERT INTO `lang_base` VALUES ('template','help_mailing_list','Use this form to send a message by email to all members of this house.',NOW(),'house admin mailing list');
INSERT INTO `lang_base` VALUES ('template','help_news_and_announcements','To add a new announcement open the Administration screen and choose \"News & Announcements\"',NOW(),'homepage');
INSERT INTO `lang_base` VALUES ('template','help_new_files','New files are added through the Library or Drafting Room, clicking on the Add File link, then describing and grouping the files into categories.',NOW(),'Home page new files box');
INSERT INTO `lang_base` VALUES ('template','help_page','<ul>\r\n	<li class=\"norm\"><a href=\"help.php#help\">Help Sources</a></li>\r\n	<li class=\"norm\"><a href=\"help.php#courtyard\">The Courtyard</a>\r\n		<ul>\r\n			<li class=\"norm\"><a href=\"help.php#houses\">Your Houses</a></li>\r\n			<li class=\"norm\"><a href=\"help.php#options\">Options</a>\r\n				<ul>\r\n					<li class=\"norm\"><a href=\"help.php#options_changepass\">Change Password</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#options_changeinfo\">Change Your Personal Information</a></li>\r\n				</ul></li>\r\n			<li class=\"norm\"><a href=\"help.php#systemsettings\">System Settings (Super Administrator)</a></li>\r\n		</ul>\r\n	</li>\r\n	<li class=\"norm\"><a href=\"help.php#house\">House</a>\r\n		<ul>\r\n			<li class=\"norm\"><a href=\"help.php#interface\">Interface &amp; Navigation</a>\r\n				<ul>\r\n					<li class=\"norm\"><a href=\"help.php#interface_header\">Header (Top most links)</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#interface_navigation\">Navigation Tabs</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#interface_bread\">Breadcrumbs</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#interface_footer\">Footer (Status bar)</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#interface_feedback\">Action\'s Feedback</a></li>\r\n				</ul></li>\r\n			<li class=\"norm\"><a href=\"help.php#homepage\">Home</a>\r\n				<ul>\r\n					<li class=\"norm\"><a href=\"help.php#home_news\">News &amp; Announcements</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#home_files\">New Files</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#home_events\">Upcoming Events</a></li>\r\n				</ul></li>\r\n			<li class=\"norm\"><a href=\"help.php#forums\">Forums</a>\r\n				<ul>\r\n					<li class=\"norm\"><a href=\"help.php#forums_view\">Forum View</a>\r\n						<ul>\r\n							<li class=\"norm\"><a href=\"help.php#forums_view_sticky\">Sticky Thread</a></li>\r\n							<li class=\"norm\"><a href=\"help.php#forums_view_locked\">Locked Thread</a></li>\r\n							<li class=\"norm\"><a href=\"help.php#forums_view_delete\">Delete Thread</a></li>\r\n						</ul></li>\r\n					<li class=\"norm\"><a href=\"help.php#forums_starting\">Starting a New Thread</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#forums_topics\">Topic View</a>\r\n						<ul>\r\n							<li class=\"norm\"><a href=\"help.php#forums_topics_replying\">Replying</a></li>\r\n							<li class=\"norm\"><a href=\"help.php#forums_topics_subscribe\">Subscribe &amp; Unsubscribe</a></li>\r\n							<li class=\"norm\"><a href=\"help.php#forums_topics_editdelete\">Edit &amp; Delete</a></li>\r\n						</ul></li>\r\n				</ul></li>\r\n			<li class=\"norm\"><a href=\"help.php#chat\">Chat Room</a>\r\n				<ul>\r\n					<li class=\"norm\"><a href=\"help.php#chat_enter\">Enter the Chat</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#chat_transcripts\">Transcripts</a></li>\r\n				</ul></li>\r\n\r\n			<li class=\"norm\"><a href=\"help.php#inbox\">Inbox</a>\r\n				<ul>\r\n					<li class=\"norm\"><a href=\"help.php#inbox_compose\">Compose New Message</a></li>\r\n				</ul></li>\r\n\r\n			<li class=\"norm\"><a href=\"help.php#events\">Events Calendar</a>\r\n				<ul>\r\n					<li class=\"norm\"><a href=\"help.php#events_add\">Add an Event</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#events_editdelete\">Edit &amp; Delete</a></li>\r\n				</ul></li>\r\n		\r\n			<li class=\"norm\"><a href=\"help.php#library\">Library</a>\r\n				<ul>\r\n					<li class=\"norm\"><a href=\"help.php#library_addfile\">Add File</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#library_viewdownload\">View &amp; Download a File</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#library_editdelete\">Edit &amp; Delete</a></li>\r\n				</ul></li>\r\n\r\n			<li class=\"norm\"><a href=\"help.php#draftingroom\">Drafting Room</a>\r\n				<ul>\r\n					<li class=\"norm\"><a href=\"help.php#draftingroom_addfile\">Add File</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#draftingroom_finalize\">Finalize</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#draftingroom_editdelete\">Edit &amp; Delete</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#draftingroom_revisionscomments\">Revisions &amp; Comments</a></li>\r\n				</ul></li>\r\n\r\n			<li class=\"norm\"><a href=\"help.php#contactlist\">Contact List</a></li>\r\n\r\n			<li class=\"norm\"><a href=\"help.php#housemembers\">House Members</a></li>\r\n\r\n			<li class=\"norm\"><a href=\"help.php#admin\">Administration</a>\r\n				<ul>\r\n					<li class=\"norm\"><a href=\"help.php#admin_chat\">Chat Settings</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#admin_categories\">Categories</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#admin_departments\">Departments</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#admin_forums\">Forum Management</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#admin_jurisdictions\">Jurisdictions</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#admin_mailinglist\">Mailing List</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#admin_news\">News &amp; Announcements</a></li>\r\n					<li class=\"norm\"><a href=\"help.php#admin_users\">User Management</a></li>\r\n				</ul></li>\r\n			\r\n			<li class=\"norm\"><a href=\"help.php#publicprofiles\">Public Profiles</a></li>\r\n		</ul>\r\n	</li>\r\n</ul>\r\n\r\n<hr />\r\n<h3><a name=\"help\"></a>Help Sources</h3>\r\n<ul>\r\n<li>ACollab Documentation (this page)<br /> This page contains detailed documentation for ACollab. </li>\r\n<li>Context Sensitive Help<br />Throughout ACollab are context sensitive help icons ( <?php print_popup_help(\'help_news_and_announcements\');  ?>) that link to help information for the features they appear next to. User can hover their mouse pointer over the icons to display a small dynamic window contain the help information, then move the mouse away to hide the window. Users  may also click on the icon to open the help in a new browser window. Click on the \"close help window\" link to close the new window and return to the position in the originating page where the help icon was clicked. </li>\r\n<li>Accessibility<br />Learn about the <a href=\"accessibility.php\">accessibility features</a> in ACollab that make it usable for people accessing the Web with assistive technologies.  </li>\r\n</ul>\r\n<hr />\r\n<h3><a name=\"courtyard\"></a>The Courtyard</h3>\r\n<ul>\r\n	<li><a name=\"houses\"></a>Your Houses<br />All the Houses you belong to (if any) are listed alphabetically along with house icons above\r\n		them. Houses that you are a House Administrator for will be marked with\r\n		&quot;(House Admin)&quot; directly below the House name. If you are entering a House you\r\n		are an administrator for then the <a href=\"help.php#admin\">Administration</a> section tab will automatically\r\n		be made available to you.</li>\r\n\r\n	<li><a name=\"options\"></a>Options<br />The Options link and icon appear after all the Houses have been listed and gives\r\n		you access to your personal information and the ability to change your password.\r\n		<ul>\r\n			<li><a name=\"options_changepass\"></a>Change Password<br />To change your password you will have to supply your current password as well as\r\n				correctly supply your new password twice.</li>\r\n			<li><a name=\"options_changeinfo\"></a>Change Your Personal Information<br />You may change any aspect of your personal information except for your username.</li>\r\n		</ul>\r\n\r\n	<hr />\r\n	<li><a name=\"systemsettings\"></a>System Settings (Super Administrator)<br />The System Settings link and section are only available to the Super Administrator.\r\n		<ul>\r\n			<li>Departments<br /></li>\r\n			<li>Houses<br /></li>\r\n			<li>Jurisdictions<br /></li>\r\n			<li>Localization<br />This section allows you to edit any of the language that appears on the site.</li>\r\n			<li>User Management<br />This section allows you to create new user accounts. Only the Super Administrator can create new accounts.</li>\r\n		</ul>\r\n	</li>\r\n</ul>\r\n\r\n<hr />\r\n\r\n<h3><a name=\"house\"></a>Once inside a House</h3>\r\n<p>This section describes features that are available ones you enter a house from the Courtyard.</p>\r\n<p>Note that while in a house, the Super Administrators has all the privilages the House Administrator has. Therefore, any information below regarding the House Administrator also applies to the Super Administrator.</p>\r\n<ul>\r\n	<li><a name=\"interface\"></a>Interface &amp; Navigation\r\n		<ul>\r\n			<li><a name=\"interface_header\"></a>Header (Top most links)<br />The top most of the site includes links to the Courtyard where you can enter to access your\r\n				other Houses. It also includes links to the House\'s home page, accessibility\r\n				page, a link to translate the House\'s contextual information between English and French, a help link to this page, and finally a sign-out link.</li>\r\n\r\n			<li><a name=\"interface_navigation\"></a>Navigation Tabs<br />A House\'s sections are accessed using the main Navigation Tabs at the top of\r\n				every page. See the Accessibility page for more information on how to quickly\r\n				jump from section to section using the keyboard.</li>\r\n\r\n			<li><a name=\"interface_bread\"></a>Breadcrumbs<br />The so-called &quot;Breadcrumbs&quot; shows a series of links as a path from the Home page to\r\n				your currently viewed page. It shows you in which section you are and how you got to the\r\n				page you\'re at.</li>\r\n\r\n			<li><a name=\"interface_footer\"></a>Footer (Status bar)<br />The Status bar at the bottom of every page shows as which username you are\r\n				currently signed-in. It also shows the current date, time, and time-zone.</li>\r\n\r\n			<li><a name=\"interface_feedback\"></a>Actions\' Feedback<br />Feedback messages are used to confirm the successfull completion of a function. Positive feedback disappears after reloading the page, while error messages do not.</li>\r\n		</ul>\r\n	</li>\r\n	<hr />\r\n	<li><a name=\"homepage\"></a>Home<br />The House home page shows a series of icons on the right which link to the other\r\n		sections of the House and News &amp; Announcements, New Files, and Upcoming\r\n		Events listed on the left half, described below.\r\n\r\n		<ul>\r\n			<li><a name=\"home_news\"></a>News &amp; Announcements<br />The House Administrator adds news and announcements. Only the four most recent\r\n				announcements are posted. Use the &quot;Archive&quot; link to view older\r\n				announcements. To add, edit, or delete News &amp; Announcements the House\r\n				Administrator must access the <a href=\"help.php#admin\">Administration section</a> of their House.</li>\r\n\r\n			<li><a name=\"home_files\"></a>New Files<br />New Files automatically lists the three most recent <a href=\"help.php#library\">Library</a> and \r\n				<a href=\"help.php#draftingroom\">Drafting Room</a> files uploaded to that House. The links let you download the files directly.</li>\r\n\r\n			<li><a name=\"home_events\"></a>Upcoming Events<br />Upcoming Events automatically lists the three most recent events posted to that House.\r\n				The listing of the events links each event to their place in the <a href=\"help.php#events\">Events Calendar</a>.</li>\r\n		</ul>\r\n	</li>\r\n	<hr />\r\n	<li><a name=\"forums\"></a>Forums<br />The main Forums page lists all the forums available in that House. It lists the\r\n		forum description, how many topics and posts have been submitted and the date\r\n		and time of the last post or topic.\r\n		<br /><br />\r\n		Use the forum title\'s link to view that forum.\r\n		<ul>\r\n			<li><a name=\"forums_view\"></a>Forum View<br />Once in the forum view, the topics listed can be sorted by Topic alphabetically,\r\n				number of Replies, Started By member, or by the default Last Post descending.\r\n				Using the topic title link will show the contents of the topic posted or\r\n				thread, while using the member username link will take you to their public profile.\r\n				Forums are created, edited, and deleted via the <a href=\"#admin\">Administration section</a> of the\r\n				site.\r\n				<ul>\r\n					<li><a name=\"forums_view_sticky\"></a>Sticky Thread<br />The exclamation icon beside the thread denotes Sticky Threads. If a thread is\r\n						Sticky then it will always appear at the top of the list no matter how old it\r\n						is or how the list of threads is sorted. Only a House Administrator can make a\r\n						thread sticky or unstick a thread. Using the exclamation icon on the right side\r\n						of the thread row will toggle the stickiness either on or off.</li>\r\n\r\n					<li><a name=\"forums_view_locked\"></a>Locked Thread<br />A lock icon beside the thread denotes Locked Threads. Only a House Administrator\r\n						can lock or unlock a thread. When locking a thread, then option is given to\r\n						either lock it from posting and reading or just from posting.</li>\r\n\r\n					<li><a name=\"forums_view_delete\"></a>Delete Thread<br />Only a House Administrator can delete a thread. Deleting a thread is done using the\r\n						delete icon on right side of the thread row.</li>\r\n				</ul>\r\n			</li>\r\n		\r\n			<li><a name=\"forums_starting\"></a>Starting a New Thread<br />When creating a new thread, fill in a subject and the thread message. You may use\r\n				the codes and emoticons at the bottom of the message area to embed smiley faces\r\n				and change the formatting of the message.</li>\r\n\r\n			<li><a name=\"forums_topics\"></a>Topic View<br />This view will show the initial post at the top then any replies to it directly\r\n				below. Each post will show the member\'s name, the subject, when it was posted,\r\n				and a link on the right hand side to quote that message in a reply.\r\n				<ul>\r\n					<li><a name=\"forums_topics_replying\"></a>Replying<br />To reply to a thread use the input fields at the bottom of the page. It is similar\r\n						to Starting a New Thread, but instead of it showing up as a new thread it will\r\n						show as a reply to the currently viewed thread.<br /><br />When\r\n						the quote icon link is used an extra text area field will be shown below the Message\r\n						input field, showing you what you\'re replying to. The quoted reply will appear embedded\r\n						within your reply with a link to the originating quoted post.</li>\r\n\r\n					<li><a name=\"forums_topics_subscribe\"></a>Subscribe &amp; Unsubscribe<br />Each thread gives you the ability to Subscribe to it. When subscribed to a thread\r\n						you will receive an email notification letting you know whenever there is a reply to that thread. To Unsubscribe from a thread use the Unsubscribe\r\n						link that replaces the Subscribe link. Subscribed threads are indicated on the\r\n						Forum View page with the text &quot;(subscribed)&quot; following the thread	topic title.</li>\r\n\r\n					<li><a name=\"forums_topics_editdelete\"></a>Edit &amp; Delete<br />When logged in as the House Administrator, Edit and Delete links will appear directly\r\n						below the poster\'s username.</li>\r\n				</ul>\r\n			</li>\r\n		</ul>\r\n	</li>\r\n	<hr />\r\n	<li><a name=\"chat\"></a>Chat Room<br />The Chat Room is where members from a house can communicate together.\r\n		<ul>\r\n			<li><a name=\"chat_enter\"></a>Enter the Chat<br />Once inside the chat additional help is available via the \"Help\" link at the top right. Use the \"Exit Chat\" link at the top right to exit the chat and return to the House.</li>\r\n			<li><a name=\"chat_transcripts\"></a>Transcripts<br />Transcripts keep track of what was said in the chat. They are started, stopped, and deleted by the House Administrator.</li>\r\n		</ul>\r\n	</li>\r\n	<hr />\r\n	<li><a name=\"inbox\"></a>Inbox<br />The Inbox lets you communicate with other members who belong to the same Houses as you. All of the messages are stored internally \r\n		on the web server so an email client is not needed.\r\n\r\n		<ul>\r\n			<li><a name=\"inbox_compose\"></a>Compose New Message<br />Only members who belong to the same Houses as you are listed in the Recipient\r\n				field. The Super Administrator can send a message to anyone regardless of which\r\n				house he or she is in. Note that you do not have to go into a particular House to send\r\n				a message to that member if that is the only House you have in common.\r\n				\r\n				<br /><br />To send a message to more than one person, hold down the Control key and select as\r\n				many members as you like. The account status of members is noted beside their\r\n				name.</li>\r\n		</ul>\r\n	</li>\r\n	<hr />\r\n	<li><a name=\"events\"></a>Events Calendar<br />On each side of the name of the month in the Events Calendar are links to the\r\n		previous and next months. Events posted to the calendar appear as linked titles\r\n		in the day they occur. Use the date or the title link to view all the events on\r\n		that day. Both links take you to the same view, but the event title link is an anchor that \r\n		scrolls the browser window to the start of the event listing.\r\n		<ul>\r\n			<li><a name=\"events_add\"></a>Add an Event<br />To add an event to a particular day either use the &quot;Add an Event&quot; link\r\n				directly below the month name then adjust the Start Date to the event\'s correct\r\n				date and time. Optionally you could view the date the event is to be added to\r\n				and then use the &quot;Add an Event&quot; link, which will default the Start Date to that\r\n				particular day.<br /><br />The Start Time, End Date and Time are optional. The End Date should be used\r\n				whenever the event spans multiple days. You may also attach up to five related files to the event.</li>\r\n\r\n			<li><a name=\"events_editdelete\"></a>Edit &amp; Delete<br />To Edit or Delete an event go to the day the event occurs on, then use the Edit or\r\n				Delete links at the bottom of the listing. Members can only Edit or Delete\r\n				events they posted themselves. The House Administrator can Edit or Delete any\r\n				event regardless of who posted it.</li>\r\n		</ul>\r\n	</li>\r\n	<hr />\r\n	<li><a name=\"library\"></a>Library<br />The Library contains files that are in their final form.\r\n		Library files can also originate from the <a href=\"help.php#draftingroom\">Drafting Room</a>.\r\n		<ul>\r\n			<li><a name=\"library_addfile\"></a>Add File<br />To add a file to the Library, select the language\r\n				of the file then supply the Source and Title. Use the \"Browse\" button to open\r\n				the file browser and select the file you want to upload then enter the\r\n				Description of the file and select one or more Categories it should appear in.\r\n				Using the Control key while selecting Categories will let you select\r\n				multiple Categories.</li>\r\n\r\n			<li><a name=\"library_viewdownload\"></a>View &amp; Download a File<br />To View &amp; Download files you have to first\r\n				select a category to browse. The numbers beside each category title denote how\r\n				many files are listed within that category. Use the \"Download\" icon or the files\r\n				title to download the file. The file information listed and the link to the\r\n				file for download depend on the current language preference. If a file version of\r\n				your currently selected language preference is not available then it will be noted. If the\r\n				file available is a bilingual version then the information and file available\r\n				will be the same regardless of the current language viewing preference.</li>\r\n\r\n			<li><a name=\"library_editdelete\"></a>Edit &amp; Delete<br />If there are language variants of the file then there will be two sets of Edit and\r\n				Delete links marked with English and French, respectively. Bilingual files have\r\n				only one set of Edit and Delete links.</li>\r\n		</ul>\r\n	</li>\r\n	<hr />\r\n	<li><a name=\"draftingroom\"></a>Drafting Room<br />The Drafting Room allows for the revision and feedback of files until they are\r\n		considered finalized. Finalized Drafting Room files are moved to the <a href=\"help.php#library\">Library</a> (as an initial language version or as an existing files language variant).\r\n		<ul>\r\n			<li><a name=\"draftingroom_addfile\"></a>Add File<br />Adding a file to the Drafting Room works exactly\r\n				the same as <a href=\"help.php#library_addfile\">adding a file to the Library</a> with the added option of a \"Comments\r\n				due by\" field, which sets how long revisions and comments will be allowed on the given file.</li>\r\n\r\n			<li><a name=\"draftingroom_finalize\"></a>Finalize<br />Finalizing a document moves it to the <a href=\"help.php#library\">Library</a> and\r\n				deletes all its comments and old revisions. A moved file can be an initial\r\n				language version or it can be attached to an existing Library file as a complementary\r\n				language variant.</li>\r\n\r\n			<li><a name=\"draftingroom_editdelete\"></a>Edit &amp; Delete<br />Editing and Deleting files works the same way it does\r\n				in the <a href=\"help.php#library_editdelete\">Library</a>.</li>\r\n\r\n			<li><a name=\"draftingroom_revisionscomments\"></a>Revisions &amp; Comments<br />Revisions and Comments can be posted on files if\r\n				their \"Comments due by\" date has not passed yet.<br /><br />If a file revision is uploaded then it must be in\r\n				the same language as the original file. If no file is uploaded then only the\r\n				comments will be shown.</li>\r\n		</ul>\r\n	</li>\r\n	<hr />\r\n	<li><a name=\"contactlist\"></a>Contact List<br />The Contact List is where each member can manage their own personal contacts. The same contacts are available through every house they belong to.</li>\r\n\r\n	<hr />\r\n	<li><a name=\"housemembers\"></a>House Members<br />All the members of the current house are listed. The\r\n		Usernames are links to their <a href=\"help.php#publicprofiles\">Public Profiles</a>.</li>\r\n	<hr />\r\n	<li><a name=\"admin\"></a>Administration<br />\r\n		<ul>\r\n			<li><a name=\"admin_chat\"></a>Chat Settings<br />The Chat Settings let the House Administrator to Start and Stop chat transcripts.</li>\r\n			<li><a name=\"admin_categories\"></a>Categories<br />The Categories manager lets the House Administrator to Create, Edit, or Delete\r\n				Categories.</li>\r\n			<li><a name=\"admin_departments\"></a>Departments<br />Global system wide Departments can be added. Only the Super Administrator may edit or delete departments.</li>\r\n			<li><a name=\"admin_forums\"></a>Forum Management<br />The Forum Management lets the House Administrator Edit, or Delete <a href=\"help.php#forums\">Forums</a>.</li>\r\n			<li><a name=\"admin_jurisdictions\"></a>Jurisdictions<br />Global system wide Jurisdictions can be added. Only the Super Administrator may edit or delete jurisdictions.</li>\r\n			<li><a name=\"admin_mailinglist\"></a>Mailing List<br />The Mailing List can be used to email all the members of the specific House.</li>\r\n			<li><a name=\"admin_news\"></a>News &amp; Announcements<br />The News &amp; Announcements manager lets the House Administrator Create, Edit, or\r\n				Delete News or Announcements that appear on the Houses <a href=\"help.php#homepage\">home page</a>.</li>\r\n			<li><a name=\"admin_users\"></a>User Management<br />The House Administrator can create or edit users, but only the Super Administrator can delete accounts. The House Administrator can also add or remove existing users to or from the current House.</li>\r\n		</ul>\r\n	</li>\r\n	<hr />\r\n	<li><a name=\"publicprofiles\"></a>Public Profiles<br />Each member has a public profile which shows their contact information with some\r\n		additional information about them. Each member can edit his or her own personal\r\n		information using the <a href=\"help.php#options_changeinfo\">Change Your Personal Information</a> under the <a href=\"help.php#options\">Options</a> section.\r\n\r\n		<ul>\r\n			<li>Send a Private Message<br /></li>\r\n		</ul>\r\n	</li>\r\n</ul>',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','help_post_news','News items are posted to the House homepage so members see them when they first login.',NOW(),'houseadmin news screen');
INSERT INTO `lang_base` VALUES ('template','help_select_language','If a document is presented in one language, choose the appropriate label to identify the language. If a document contains more than one language, choose \"Bilingual\"',NOW(),'add file to library screen');
INSERT INTO `lang_base` VALUES ('template','history','History',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','home','Home',NOW(),'just home');
INSERT INTO `lang_base` VALUES ('template','home_template','Home',NOW(),'main navigation across the top');
INSERT INTO `lang_base` VALUES ('template','hot','Hot!',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','hours_24','24h',NOW(),'date');
INSERT INTO `lang_base` VALUES ('template','houses','Houses',NOW(),'houses');
INSERT INTO `lang_base` VALUES ('template','html_disabled','HTML is disabled.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','image','Image',NOW(),'code picker');
INSERT INTO `lang_base` VALUES ('template','inbox','Inbox',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','inbox_date_format','%%M %%j, %%Y - %%H:%%i %%T',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','instructor','Instructor',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','in_reply_to','In reply to',NOW(),'forum reply');
INSERT INTO `lang_base` VALUES ('template','italic','Italic',NOW(),'code picker');
INSERT INTO `lang_base` VALUES ('template','jump_codes','Jump past forum codes',NOW(),'forum code picker');
INSERT INTO `lang_base` VALUES ('template','jump_content','Jump to Content',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','jurisdiction','Jurisdiction',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','jurisdictions','Jurisdictions',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','keep_tran','This section allows you to keep a transcript of the chat in progress.',NOW(),'admin chat');
INSERT INTO `lang_base` VALUES ('template','key','Key:',NOW(),'localization editor');
INSERT INTO `lang_base` VALUES ('template','language','Language',NOW(),'admin user edit');
INSERT INTO `lang_base` VALUES ('template','last_name','Last Name',NOW(),'profile');
INSERT INTO `lang_base` VALUES ('template','last_name_asc','Last Name Ascending',NOW(),'admin users');
INSERT INTO `lang_base` VALUES ('template','last_name_desc','Last Name Descending',NOW(),'admin users');
INSERT INTO `lang_base` VALUES ('template','last_post','Last Post',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','last_post_asc','Last Post Ascending',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','last_post_desc','Last Post Descending',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','last_tran','Last produced transcript at',NOW(),'admin chat');
INSERT INTO `lang_base` VALUES ('template','latest_revision','Latest<em>!</em>',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','library','Library',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','library_new_file','Dear %1$s user,\r\n\r\nThis email is to notify you of a file  addition in the library for the group \'%1$s\'. \r\n\r\nSign-in at: %2$s',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','library_notification','Library Notification: new file added',NOW(),'notifications');
INSERT INTO `lang_base` VALUES ('template','library_template','<u>L</u>ibrary',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','link','Link',NOW(),'code picker');
INSERT INTO `lang_base` VALUES ('template','links_enabled','http:// and email address are automatically converted into link.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','localization','Localization',NOW(),'admin');
INSERT INTO `lang_base` VALUES ('template','lock','Lock',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','locked','Locked',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','lock_file','Lock File',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','lock_no_post','No posting, but allow reading.',NOW(),'forum locking');
INSERT INTO `lang_base` VALUES ('template','lock_no_read','No posting and no reading.',NOW(),'forum locking');
INSERT INTO `lang_base` VALUES ('template','lock_thread','Lock Thread',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','mailing_list','Mailing List',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','manage_folders','Manage Folders',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','manage_group','Manage Group',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','members','Members',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','members_of_department','Members of Department',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','members_of_house','Members of House',NOW(),'admin user management');
INSERT INTO `lang_base` VALUES ('template','members_of_jurisdiction','Members of Jurisdiction',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','member_folders','Folders by Member',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','member_sign_in','Member Sign-In',NOW(),'The login page');
INSERT INTO `lang_base` VALUES ('template','message','Message',NOW(),'profile page');
INSERT INTO `lang_base` VALUES ('template','message_lifespan','Message Life Span',NOW(),'chat settings');
INSERT INTO `lang_base` VALUES ('template','message_life_details','The <em>Message Life Span</em> is the duration of time that a particular message will sit in the history before being deleted.',NOW(),'chat settings');
INSERT INTO `lang_base` VALUES ('template','my_control_centre','MyCourses',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','na','N/A',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','name','Name',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','new','New!',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','news_and_announcements','News & Announcements',NOW(),'homepage');
INSERT INTO `lang_base` VALUES ('template','news_date_format','%%M %%j, %%Y',NOW(),'home page news');
INSERT INTO `lang_base` VALUES ('template','new_files','New Files',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','new_lang','*New*',NOW(),'localization editor');
INSERT INTO `lang_base` VALUES ('template','new_password','New Password',NOW(),'options change password');
INSERT INTO `lang_base` VALUES ('template','new_thread','New Thread',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','none','None',NOW(),'event files');
INSERT INTO `lang_base` VALUES ('template','none_specified','None specified.',NOW(),'localization editor');
INSERT INTO `lang_base` VALUES ('template','nongroup_members','Non-group Members',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','notification','Notification',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','notification_body','Dear Group Admin,\r\n\r\n%1$s would like to notify you of a file or revision addition in the %2$s group. The file title is: %4$s.\r\n\r\nSign-in at: %3$s',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','notification_settings','Change Notification Settings',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','NOTIFY_CALENDAR','Event Notification',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','NOTIFY_DRAFT','Drafting Room Notification',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','notify_group_admin','Notify Group Admin of addition.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','NOTIFY_LIBRARY','Library Notification',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','not_in_groups','You are not in any groups.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','not_yet','Not yet',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_accept','No, I do not accept',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_attach_files','No files to attach to.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_cancel','No/Cancel',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_comments_found','No comments found.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_english_version','No English version available',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_events_found','No entries found on this day.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_files_available','There are no files available.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_files_found','No files found.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_folders_found','No folders found.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_forums','No forums found.',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','no_french_version','No French version available',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_groups_found','No groups found.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_group_members','No available members.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_members_found','No members found.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_news_found','No news or announcements found.',NOW(),'homepage');
INSERT INTO `lang_base` VALUES ('template','no_public_folders','No public folders found to upload the files to.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_revisions_comments','No revisions/comments found.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_revisions_found','No revisions found.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_subject','No Subject',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_threads_found','No threads found.',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','no_unassigned','There are no enrolled students who are not in this group.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_upcoming_events_found','No entries found.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','no_users_online','There are currently no users in the chat room',NOW(),'chat room');
INSERT INTO `lang_base` VALUES ('template','num_groups','# Groups',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','num_members','# Members',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','num_revisions_comments','%d Revisions / Comments',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','offline','Offline',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','online','Online',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','only_group_members','Only members who are in the same groups as you are listed.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','optional_initial_file','You may, optionally, upload an initial file version below:',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','options','Options',NOW(),'options');
INSERT INTO `lang_base` VALUES ('template','options_template','O<u>p</u>tions',NOW(),'main navigation across the top');
INSERT INTO `lang_base` VALUES ('template','orange','Orange',NOW(),'code picker');
INSERT INTO `lang_base` VALUES ('template','organization','Organization',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','or_upload_file','Or, upload a file.',NOW(),'event file attachment');
INSERT INTO `lang_base` VALUES ('template','page','Page',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','parent_folder','Parent Folder',NOW(),'folder management');
INSERT INTO `lang_base` VALUES ('template','password','Password',NOW(),'everywhere');
INSERT INTO `lang_base` VALUES ('template','phone','Phone',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','postal_code','Postal Code',NOW(),'admin add/edit user management');
INSERT INTO `lang_base` VALUES ('template','posted','Posted',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','posted_on','Posted on',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','posts','Posts',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','post_lock','Locked from Posting',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','post_subject','Message Subject',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','private','Private',NOW(),'profile');
INSERT INTO `lang_base` VALUES ('template','private_folders','Private Folder',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','privileges','Privileges',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','profile_title','%s\'s Profile',NOW(),'public profile page');
INSERT INTO `lang_base` VALUES ('template','province_territory','Province or Territory',NOW(),'admin add/edit user management');
INSERT INTO `lang_base` VALUES ('template','purple','Purple',NOW(),'code picker');
INSERT INTO `lang_base` VALUES ('template','pwd_header','Persons With Disabilities Online',NOW(),'pwd template header');
INSERT INTO `lang_base` VALUES ('template','quote','Quote',NOW(),'code picker');
INSERT INTO `lang_base` VALUES ('template','quote_post','Quote this post in your reply',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','read','Read',NOW(),'inbox');
INSERT INTO `lang_base` VALUES ('template','read_lock','Locked from Posting &amp; Reading',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','read_more','Read more ...',NOW(),'homepage');
INSERT INTO `lang_base` VALUES ('template','reassign_to','Reassign Files to:',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','recipient','Recipient',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','red','Red',NOW(),'code picker');
INSERT INTO `lang_base` VALUES ('template','regular','Regular',NOW(),'profile');
INSERT INTO `lang_base` VALUES ('template','regular_member_rights','Regular member rights',NOW(),'create forum');
INSERT INTO `lang_base` VALUES ('template','remove','Remove',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','remove_file','Remove File',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','remove_user','Remove Member',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','replace_file','Replace File',NOW(),'drafting room');
INSERT INTO `lang_base` VALUES ('template','replied','Replied',NOW(),'inbox');
INSERT INTO `lang_base` VALUES ('template','replies','Replies',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','replies_asc','Replies Ascending',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','replies_desc','Replies Descending',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','reply','Reply',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','replying_to','Replying To',NOW(),'forum reply box');
INSERT INTO `lang_base` VALUES ('template','reply_r','Reply (Alt-r)',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','reply_to_thread','Reply to this Thread',NOW(),'forum reply link');
INSERT INTO `lang_base` VALUES ('template','required_field','Required Field',NOW(),'forms');
INSERT INTO `lang_base` VALUES ('template','reset','Reset',NOW(),'reset button');
INSERT INTO `lang_base` VALUES ('template','revision','Revision',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','revisions','Revisions',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','revisions_comments','Revisions / Comments',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','rev_comments','Rev.\'s/Comments',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','save','Save',NOW(),'localization editor');
INSERT INTO `lang_base` VALUES ('template','select_file_and_revision','Select File Revision',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','select_folder_to_edit','Select a Folder to Edit',NOW(),'folder management');
INSERT INTO `lang_base` VALUES ('template','send','Send',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','send_delete','Send &amp; Delete',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','send_message','Send Message',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','send_private_message','Send a Private Message',NOW(),'profile page');
INSERT INTO `lang_base` VALUES ('template','sent_via_acollab','Sent via ACollab',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','session_lifespan','Chat Session Life Span',NOW(),'chat settings');
INSERT INTO `lang_base` VALUES ('template','session_life_details','The <em>Chat Session Life Span</em> is the length of time that a Chat ID will appear in the User List without action by that user. This is necessary since the chat has no way of knowing if a user had exited the chat without using the logout option (e.g. by simply closing their browser). After this amount of time of inactivity, a Chat ID will be declared inactive, and will no longer appear in the User List. Note that this will not delete the users preference settings.',NOW(),'chat settings');
INSERT INTO `lang_base` VALUES ('template','show_all','All Groups',NOW(),'Show all groups in inbox');
INSERT INTO `lang_base` VALUES ('template','signed_in_as','Signed in as <em>%s</em>',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','sign_in','Sign-In',NOW(),'login page');
INSERT INTO `lang_base` VALUES ('template','sign_out','Sign-Out',NOW(),'The sign out link');
INSERT INTO `lang_base` VALUES ('template','site_layout','Main menu tabs across the top with content directly below',NOW(),'summary for main layout table');
INSERT INTO `lang_base` VALUES ('template','size','Size',NOW(),'file size');
INSERT INTO `lang_base` VALUES ('template','size_asc','Size Ascending',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','size_desc','Size Descending',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','source','Source',NOW(),'source');
INSERT INTO `lang_base` VALUES ('template','started_by','Started By',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','started_by_asc','Started By Ascending',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','started_by_desc','Started By Descending',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','start_by_asc','Started By Ascending',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','start_date','Start Date',NOW(),'events');
INSERT INTO `lang_base` VALUES ('template','start_thread','Start a New Thread',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','start_time','Start Time',NOW(),'events');
INSERT INTO `lang_base` VALUES ('template','start_tran','Start Keeping a Transcript',NOW(),'admin chat');
INSERT INTO `lang_base` VALUES ('template','status','Status',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','sticky_thread','Sticky Thread',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','stop_tran','Stop Keeping a Transcript',NOW(),'admin chat');
INSERT INTO `lang_base` VALUES ('template','subject','Subject',NOW(),'admin news');
INSERT INTO `lang_base` VALUES ('template','subject_asc','Subject Ascending',NOW(),'admin news');
INSERT INTO `lang_base` VALUES ('template','subject_desc','Subject Descending',NOW(),'admin news');
INSERT INTO `lang_base` VALUES ('template','submit','Submit',NOW(),'forum submit button');
INSERT INTO `lang_base` VALUES ('template','submit_event','Submit Entry',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','subscribe','Subscribe',NOW(),'forum thread view');
INSERT INTO `lang_base` VALUES ('template','subscribed','Subscribed',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','subscribe_blurb','to receive email notification of replies.',NOW(),'forum thread view');
INSERT INTO `lang_base` VALUES ('template','system_settings','System Settings',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','terms','Terms of Agreement',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','terms_text','<h2>PWD Advisory Panel \"Terms of Use\" Notice</h2>\r\n\r\n<p>The PWD Advisory Panel discussion forum is being provided to allow participants to provide comments and advice in order to improve the PWD Online Site.</p>\r\n\r\n<p>You must agree to the following Terms of Use before entering the site. By clicking on \"I Accept\", you acknowledge that you have read, understand and agree to be bound by these Terms of Use.</p>\r\n\r\n<ul>\r\n	<li>I will use the PWD Advisory Panel for its stated purpose only, will contribute to the discussion and will respect the ideas and opinions of other participants.  I will post messages, responses that relate to the content and topics contained either in the Chat or Forums section of this site.</li>\r\n	<li>I understand that comments I post on the PWD Advisory Panel site could be used by HRDC to shape the development of the PWD-Online website.  I also understand that such reports may reproduce my messages in whole or in part and that all reports produced as a result of this exercise remain the property of HRDC. </li>\r\n	<li>I understand that once information is posted on this message board, the Government of Canada cannot control how third parties will use the information.</li>\r\n	<li>I will not post any personal information about my self or others such as my address, phone number, Social Insurance Number, medical or financial information, etcetera.</li>\r\n	<li>I will not post any content which discriminates on the basis of gender, sex, sexual orientation, religious or political affiliation, mental or physical disability, nationality, language, conviction for which pardon has been granted, ethnicity and marital or family status.</li>\r\n	<li>I will not post statements about others that are degrading, insulting, or that have the tendency to damage their reputation in any way.</li>\r\n	<li>I will not to post messages containing inappropriate content, which is offensive, illegal, obscene, discourteous, harassing or sexually explicit.</li>\r\n	<li>I will not post messages containing commercial solicitation and /or advertising.</li>\r\n	<li>I will not post confidential third party information, including any proprietary information about a business, without the owner\'s consent.</li>\r\n	<li>I am the sole owner of all the rights in the material I post or I have the right by license or permission to post this material in a public forum such as this message board.</li>\r\n	<li>I agree not to post articles or any other material, without the express written consent of the copyright holder.</li>\r\n	<li>If I do not understand or agree to these Terms of Use, I will not post a message.</li>\r\n	<li>I am solely responsible for the messages I post.</li>\r\n</ul>\r\n<p>Human Resources Development Canada and the Government of Canada are not responsible for the accuracy, quality, content, reliability or currency of any messages made available through this message board. The posting of a message does not constitute or imply an endorsement by the Government of Canada of its content. Messages will not be edited, but they will be removed if they fail to comply with the above or for any other reason deemed appropriate. Contributors are welcome to submit messages in either French or English, the official languages of Canada. Messages will be posted in the language in which they are written.</p>',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','text','text:',NOW(),'locaization editor');
INSERT INTO `lang_base` VALUES ('template','thread_locked','Thread Locked',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','thread_not_found','Thread Not Found',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','thread_subject','Thread Subject',NOW(),'delete thread');
INSERT INTO `lang_base` VALUES ('template','thread_subscription','Thread Notification: new message posted',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','title','Title',NOW(),'drafting room');
INSERT INTO `lang_base` VALUES ('template','title_asc','Title Ascending',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','title_desc','Title Descending',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','topic','Topic',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','topics','Topics',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','topic_asc','Topic Ascending',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','topic_desc','Topic Descending',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','transcripts','Transcripts',NOW(),'chat home page and admin chat');
INSERT INTO `lang_base` VALUES ('template','translate_from','Translate from',NOW(),'localization editor');
INSERT INTO `lang_base` VALUES ('template','translate_to','Translate to:',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','tran_file_name','Transcript file name (alphanumeric, no file extension)',NOW(),'admin chat');
INSERT INTO `lang_base` VALUES ('template','underline','Underline',NOW(),'code picker');
INSERT INTO `lang_base` VALUES ('template','unknown','Unknown',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','unlock','Unlock',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','unlock_file','Unlock File',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','unlock_thread','Unlock Thread',NOW(),'forum');
INSERT INTO `lang_base` VALUES ('template','unsubscribe','Unsubscribe',NOW(),'forum thread view');
INSERT INTO `lang_base` VALUES ('template','unsubscribe_blurb','to stop receiving email notification of replies.',NOW(),'forum thread view');
INSERT INTO `lang_base` VALUES ('template','upcoming_events','Upcoming Events',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','updated_lang','*Updated*',NOW(),'localization editor');
INSERT INTO `lang_base` VALUES ('template','upload_file','Upload File',NOW(),'events');
INSERT INTO `lang_base` VALUES ('template','upload_progress','File Upload in Progress...',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','use','Use',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','username','Username',NOW(),'everywhere');
INSERT INTO `lang_base` VALUES ('template','username_asc','Sort by Username Ascending',NOW(),'admin user manager');
INSERT INTO `lang_base` VALUES ('template','username_desc','Username Descending',NOW(),'admin users');
INSERT INTO `lang_base` VALUES ('template','users_online','Users Online',NOW(),'chat room');
INSERT INTO `lang_base` VALUES ('template','user_management','Member Management',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','use_col_headings','Use the column headings to sort by that column.',NOW(),'table sort');
INSERT INTO `lang_base` VALUES ('template','use_ctrl_mass_mail','Use the CTRL key to select multiple recepients.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','variable','Variable:',NOW(),'localization editor');
INSERT INTO `lang_base` VALUES ('template','view_all_course_files','View All Course Files',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','view_entire_post','View entire post',NOW(),'forum reply');
INSERT INTO `lang_base` VALUES ('template','view_members','View Members',NOW(),'global');
INSERT INTO `lang_base` VALUES ('template','view_only_group_files','View Only Group Files',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','warning','Warning',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','window_auto_close','This window will close automatically.',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','yes_accept','Yes, I accept',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','yes_delete','Yes/Delete',NOW(),'');
INSERT INTO `lang_base` VALUES ('template','your_personal_folder','Personal Folder',NOW(),'');
