#
# Table structure for table `events`
#

CREATE TABLE `events` (
  `event_id` mediumint(8) unsigned NOT NULL auto_increment,
  `group_id` mediumint(8) unsigned NOT NULL default '0',
  `member_id` mediumint(8) unsigned NOT NULL default '0',
  `start_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `end_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `title` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `files` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`event_id`)
) TYPE=MyISAM;


# --------------------------------------------------------

#
# Table structure for table `events_files`
#

CREATE TABLE `events_files` (
  `event_id` mediumint(8) unsigned NOT NULL default '0',
  `file_id` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`event_id`,`file_id`)
) TYPE=MyISAM;



# --------------------------------------------------------


# Table structure for table `files`
#

CREATE TABLE `files` (
  `file_id` mediumint(8) unsigned NOT NULL auto_increment,
  `group_id` mediumint(8) unsigned NOT NULL default '0',
  `member_id` mediumint(8) unsigned NOT NULL default '0',
  `folder_id` mediumint(8) unsigned NOT NULL default '0',
  `initial_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `title` varchar(100) NOT NULL default '',
  `description` text NOT NULL,
  `num_revisions` tinyint(3) unsigned NOT NULL default '0',
  `locked` tinyint(3) unsigned NOT NULL default '0',
  `library_revision_id` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`file_id`)
) TYPE=MyISAM;


CREATE TABLE `files_revisions` (
  `revision_id` mediumint(8) unsigned NOT NULL auto_increment,
  `file_id` mediumint(8) unsigned NOT NULL default '0',
  `member_id` mediumint(8) unsigned NOT NULL default '0',
  `initial_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `file_name` varchar(80) NOT NULL default '',
  `file_size` varchar(15) NOT NULL default '',
  `description` text NOT NULL,
  `num_comments` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`revision_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

CREATE TABLE `revisions_comments` (
	`comment_id` mediumint(8) unsigned NOT NULL auto_increment,
	`revision_id` mediumint(8) unsigned NOT NULL default '0',
	`member_id` mediumint(8) unsigned NOT NULL default '0',
	`date` datetime NOT NULL default '0000-00-00 00:00:00',
	`comment` text NOT NULL,
	PRIMARY KEY (`comment_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `folders`
#

CREATE TABLE `folders` (
  `folder_id` mediumint(8) unsigned NOT NULL auto_increment,
  `parent_folder_id` mediumint(8) unsigned NOT NULL,
  `group_id` mediumint(8) unsigned NOT NULL default '0',
  `member_id` mediumint(8) unsigned NOT NULL default '0',
  `title` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`folder_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `forums`
#

CREATE TABLE `forums` (
  `forum_id` mediumint(8) unsigned NOT NULL auto_increment,
  `group_id` mediumint(8) unsigned NOT NULL default '0',
  `title` varchar(60) NOT NULL default '',
  `description` text NOT NULL,
  `num_topics` mediumint(8) unsigned NOT NULL default '0',
  `num_posts` mediumint(8) unsigned NOT NULL default '0',
  `last_post` datetime NOT NULL default '0000-00-00 00:00:00',
  `regular_rights` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`forum_id`)
) TYPE=MyISAM;


# --------------------------------------------------------

#
# Table structure for table `forums_threads`
#

CREATE TABLE `forums_threads` (
  `post_id` mediumint(8) unsigned NOT NULL auto_increment,
  `parent_id` mediumint(8) unsigned NOT NULL default '0',
  `member_id` mediumint(8) unsigned NOT NULL default '0',
  `forum_id` mediumint(8) unsigned NOT NULL default '0',
  `login` varchar(30) NOT NULL default '',
  `last_comment` datetime NOT NULL default '0000-00-00 00:00:00',
  `num_comments` mediumint(8) unsigned NOT NULL default '0',
  `subject` varchar(100) NOT NULL default '',
  `body` text NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `locked` tinyint(4) NOT NULL default '0',
  `sticky` tinyint(4) NOT NULL default '0',
  `subscribers` text NOT NULL,
  PRIMARY KEY  (`post_id`),
  KEY `parent_id` (`parent_id`),
  KEY `forum_id` (`forum_id`)
) TYPE=MyISAM;


# --------------------------------------------------------

#
# Table structure for table `groups`
#

CREATE TABLE `groups` (
  `group_id` mediumint(8) unsigned NOT NULL auto_increment,
  `course_id` mediumint(8) unsigned NOT NULL default '0',
  `title` varchar(100) NOT NULL default '',
  `image_name` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`group_id`),
  KEY `course_id` (`course_id`)
) TYPE=MyISAM;


# --------------------------------------------------------

#
# Table structure for table `groups_members`

CREATE TABLE `groups_members` (
  `group_id` mediumint(8) unsigned NOT NULL default '0',
  `member_id` mediumint(8) unsigned NOT NULL default '0',
  `privileges` tinyint(3) unsigned NOT NULL default '0',
  `notifications` tinyint(3) unsigned NOT NULL default '0',
  `private_folder` ENUM( 'y', 'n' ) NOT NULL DEFAULT 'y',
  PRIMARY KEY  (`group_id`,`member_id`)
) TYPE=MyISAM;


# --------------------------------------------------------

#
# Table structure for table `lang2`
#
#

CREATE TABLE `lang2` (
  `lang` char(3) NOT NULL default '',
  `variable` varchar(30) NOT NULL default '',
  `key` varchar(50) NOT NULL default '',
  `text` text NOT NULL,
  `revised_date` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`lang`,`variable`,`key`)
) TYPE=MyISAM;


# --------------------------------------------------------

#
# Table structure for table `members`
#
#

CREATE TABLE `members` (
  `member_id` mediumint(8) unsigned NOT NULL auto_increment,
  `login` varchar(30) NOT NULL default '',
  `password` varchar(30) NOT NULL default '',  
  `email` varchar(50) NOT NULL default '',
  `first_name` varchar(50) NOT NULL default '',
  `last_name` varchar(50) NOT NULL default '',
  `creation_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `language` char(2) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `address` varchar(255) NOT NULL default '',
  `city` varchar(255) NOT NULL default '',
  `province` varchar(20) NOT NULL default '',
  `country` varchar(20) NOT NULL default '',
  `postal_code` varchar(10) NOT NULL default '',
  `phone` varchar(25) NOT NULL default '',
  `fax` varchar(25) NOT NULL default '',
  `eusa` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`member_id`),
  UNIQUE KEY `login` (`login`)
) TYPE=MyISAM;


# --------------------------------------------------------

#
# Table structure for table `messages`
#

CREATE TABLE `messages` (
  `message_id` mediumint(8) unsigned NOT NULL auto_increment,
  `group_id` MEDIUMINT(8) unsigned NOT NULL default '0',
  `from_member_id` mediumint(8) unsigned NOT NULL default '0',
  `to_member_id` mediumint(8) unsigned NOT NULL default '0',
  `date_sent` datetime NOT NULL default '0000-00-00 00:00:00',
  `new` tinyint(4) NOT NULL default '0',
  `replied` tinyint(4) NOT NULL default '0',
  `subject` varchar(150) NOT NULL default '',
  `body` text NOT NULL,
  PRIMARY KEY  (`message_id`),
  KEY `to_member_id` (`to_member_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `news`
#

CREATE TABLE `news` (
  `news_id` mediumint(8) unsigned NOT NULL auto_increment,
  `group_id` mediumint(8) unsigned NOT NULL default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `subject` varchar(100) NOT NULL default '',
  `body` text NOT NULL,
  PRIMARY KEY  (`news_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `users_online`
#

CREATE TABLE `users_online` (
  `member_id` mediumint(8) unsigned NOT NULL default '0',
  `group_id` mediumint(8) unsigned NOT NULL default '0',
  `expiry` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`member_id`)
) TYPE=MyISAM;


# --------------------------------------------------------

#
# Table structure for table `forums_subscriptions`
#

CREATE TABLE `forums_subscriptions` (
  `forum_id` mediumint(8) unsigned NOT NULL default '0',
  `member_id` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`forum_id`,`member_id`)
) TYPE=MyISAM;
        