<?php
/****************************************************************************************/
/* ACollab                                                                              */
/****************************************************************************************/
/* Copyright (c) 2002-2004  Adaptive Technology Resource Centre / University of Toronto */
/*                                                                                      */
/* http://atutor.ca/acollab                                                             */
/*                                                                                      */
/* This program is free software. You may redistribute it and/or                        */
/* modify it under the terms of the GNU General Public License                          */
/* as published by the Free Software Foundation; either version 2 of the License,       */
/* or (at your option) any later version.                                               */
/*                                                                                      */
/* This program is distributed in the hope that it will be useful, but                  */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                           */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                 */
/* See the GNU General Public License for more details.                                 */
/*                                                                                      */
/* You may access the GNU General Public License at:                                    */
/* http://www.opensource.org/licenses/gpl-license.php                                   */
/*                                                                                      */
/* You may contact the Adaptive Technology Resource Centre at                           */
/* Robarts Library, University of Toronto                                               */
/* 130 St. George Street, Toronto, Ontario, Canada M5S 1A5                              */
/* Further contact information is available at http://www.utoronto.ca/atrc/             */
/****************************************************************************************/
/* Programmer:                                                                          */
/* Joel Kronenberg - ATRC                                                               */
/****************************************************************************************/
// $Id: index.php 314 2005-01-31 15:10:00Z shozubq $

define('AC_INCLUDE_PATH', 'include/');

error_reporting(E_ALL ^ E_NOTICE);

require('../include/lib/constants.inc.php');

$new_version = AC_VERSION;

require(AC_INCLUDE_PATH.'header.php');

?>

<h3>Welcome to the ACollab Installation</h3>
<p>This process will guide you through your ACollab installation or upgrade.</p>
<p>During the installation or upgrade be sure not to use your browser's <em>Refresh</em> or <em>Back</em> option as it may complicate the installation process.</p>

<h4>Requirements</h4>
<p>Please review the requirements below before proceeding.</p>
<ul>
	<li>HTTP Web Server (<a href="http://apache.org">Apache</a> 1.3.x is highly recommended. We do not recommend Apache 2.x) <strong>Detected: <?php echo $_SERVER['SERVER_SOFTWARE']; ?></strong><br /><br /></li>

	<li><a href="http://php.net">PHP</a> 4.2.0 or higher (Version 4.3.0 or higher is recommended) <strong>Detected: PHP <?php echo phpversion(); ?></strong><br />
		With the following options:
		<ul>
			<li><kbd>--with-zlib</kbd> to enable Zlib (Required) <strong>Detected: <?php if (defined('FORCE_GZIP')) {
																									echo 'Enabled'; 
																								} else {
																									echo 'Disabled';
																								} ?></strong></li>
			<li><kbd>--with-mysql</kbd> to enable MySQL support (Required) <strong>Detected: <?php if (defined('MYSQL_NUM')) {
																									echo 'Enabled'; 
																								} else {
																									echo 'Disabled';
																								} ?></strong></li>
			<li><kbd>safe_mode</kbd> must be disabled (Required) <strong>Detected: <?php if (get_cfg_var('safe_mode')) {
																									echo 'Enabled'; 
																								} else {
																									echo 'Disabled';
																								} ?></strong></li>
		</ul>
		<br /></li>

	<li><a href="http://mysql.com">MySQL</a> 3.23.x or higher (MySQL 4.x is not yet officially supported) <strong>Detected: <?php if (defined('MYSQL_NUM')) {
																									echo 'Version Unknown'; 
																								} else {
																									echo 'Disabled';
																								} ?></strong></li>
</ul>

<br /><br />

<table cellspacing="0" class="tableborder" cellpadding="1" align="center" width="70%">
<tr>
	<td align="right" class="row1" nowrap="nowrap"><b>Install a Fresh Version </b></td>
	<td class="row1" width="150" align="center"><form action="install.php" method="post" name="form">
	<input type="hidden" name="new_version" value="<?php echo $new_version; ?>" />
	<input type="submit" class="button" value="  Install  " name="next" />
	</form></td>
</tr>
</table>
<table cellspacing="0" cellpadding="10" align="center" width="45%">
<tr>
	<td align="center"><b>Or</b></td>
</tr>
</table>
<table cellspacing="0" class="tableborder" cellpadding="1" align="center" width="70%">
<tr>
	<td align="right" class="row1" nowrap="nowrap"><b>Upgrade an Existing Installation </b></td>
	<td class="row1" width="150" align="center"><form action="upgrade.php" method="post" name="form">
	<input type="hidden" name="new_version" value="<?php echo $new_version; ?>" />
	<input type="submit" class="button" value="Upgrade" name="next" />
	</form></td>
</tr>
</table>

<?php
	require(AC_INCLUDE_PATH.'footer.php');
?>