<?php
/****************************************************************************************/
/* ACollab                                                                              */
/****************************************************************************************/
/* Copyright (c) 2002-2004  Adaptive Technology Resource Centre / University of Toronto */
/*                                                                                      */
/* http://atutor.ca/acollab                                                             */
/*                                                                                      */
/* This program is free software. You may redistribute it and/or                        */
/* modify it under the terms of the GNU General Public License                          */
/* as published by the Free Software Foundation; either version 2 of the License,       */
/* or (at your option) any later version.                                               */
/*                                                                                      */
/* This program is distributed in the hope that it will be useful, but                  */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                           */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                 */
/* See the GNU General Public License for more details.                                 */
/*                                                                                      */
/* You may access the GNU General Public License at:                                    */
/* http://www.opensource.org/licenses/gpl-license.php                                   */
/*                                                                                      */
/* You may contact the Adaptive Technology Resource Centre at                           */
/* Robarts Library, University of Toronto                                               */
/* 130 St. George Street, Toronto, Ontario, Canada M5S 1A5                              */
/* Further contact information is available at http://www.utoronto.ca/atrc/             */
/****************************************************************************************/
/* Programmer:                                                                          */
/* Joel Kronenberg - ATRC                                                               */
/****************************************************************************************/
// $Id: profile.php 380 2005-02-09 16:12:48Z shozubq $

define('AC_INCLUDE_PATH', '../include/');

require(AC_INCLUDE_PATH.'vitals.inc.php');
authenticate(USER_CLIENT, USER_GROUP_ADMIN, USER_ADMIN);

$_SECTION[0][0] = $_SESSION['course_title'].' '._AC('groups');
$_SECTION[0][1] = 'index.php';
$_SECTION[1][0] = _AC('options');
$_SECTION[1][1] = 'prefs/';
$_SECTION[2][0] = _AC('change_profile');
$_SECTION[2][1] = 'prefs/profile.php';

if ($_POST['cancel']) {
	header('Location: index.php');
	exit;
}

if ($_POST['submit']) {
	$_POST['email'] = trim($_POST['email']);
	$_POST['fname']	= trim($_POST['fname']);
	$_POST['lname']	= trim($_POST['lname']);
	$_POST['title']	= trim($_POST['title']);
	$_POST['organization']	= trim($_POST['organization']);
	$_POST['address']	= trim($_POST['address']);
	$_POST['city']	= trim($_POST['city']);


	if ($_POST['email'] == '') {
		$error[] = E_REG_MISSING_EMAIL;
	} else if (!eregi("^[a-z0-9\._-]+@+[a-z0-9\._-]+\.+[a-z]{2,3}$", $_POST['email'])) {
		$error[] = E_REG_INVALID_EMAIL;
	}

	if (!$error) {
		$_POST['email'] = $addslashes($_POST['email']);
		$_POST['fname'] = $addslashes($_POST['fname']);
		$_POST['lname'] = $addslashes($_POST['lname']);
		$_POST['lang']  = $addslashes($_POST['lang']);
		$_POST['title'] = $addslashes($_POST['title']);
		$_POST['address']  = $addslashes($_POST['address']);
		$_POST['city']     = $addslashes($_POST['city']);
		$_POST['province'] = $addslashes($_POST['province']);
		$_POST['country']  = $addslashes($_POST['country']);
		$_POST['postal_code'] = $addslashes($_POST['postal_code']);
		$_POST['phone']   = $addslashes($_POST['phone']);
		$_POST['fax']     = $addslashes($_POST['fax']);

		$sql = "UPDATE ".TABLE_PREFIX."members SET email='$_POST[email]', first_name='$_POST[fname]', last_name='$_POST[lname]', language='$_POST[lang]', title='$_POST[title]', address='$_POST[address]', city='$_POST[city]', province='$_POST[province]', country='$_POST[country]', postal_code='$_POST[postal_code]', phone='$_POST[phone]', fax='$_POST[fax]' WHERE member_id=$_SESSION[member_id]";

		if (mysql_query($sql, $db)) {
			Header('Location: index.php?f='.F_USER_EDITED);
			exit;
		} else {
			$error[] = E_USER_EDIT;
		}

	}
}

require(AC_INCLUDE_PATH.'pub/header.inc.php');


$sql	= "SELECT * FROM ".TABLE_PREFIX."members WHERE member_id=$_SESSION[member_id]";
$result	= mysql_query($sql, $db);
if (!$row = mysql_fetch_array($result)) {
	$error = E_USER_NOT_FOUND;
	print_errors($error);
	require(AC_INCLUDE_PATH.'footer.inc.php');	
	exit;
}

if ($_POST['submit']) {
	$row['login'] = $_POST['login'];
	$row['first_name'] = $_POST['fname'];
	$row['last_name'] = $_POST['lname'];
	$row['password'] = $_POST['password'];
	$row['email'] = $_POST['email'];
	$row['language'] = $_POST['lang'];
	$row['status'] = $_POST['status'];
	$row['priv_email'] = $_POST['priv'];
}


?>
<br /><br /><br />
<table border="0" cellspacing="0" cellpadding="0" align="center" class="box" width="70%">
	<tr>
		<th colspan="4" class="box"><h3><?php echo _AC('change_profile'); ?></h3></th>
	</tr>
	<tr>
		<td style="border-bottom: 1px solid #006699; background: #EFEFEF;"><table border="0" width="100%" cellspacing="2" cellpadding="2" class="w">
			<tr>
				<td class="bread" valign="middle"><h4><?php
				
					$delim = '  ';
					$num_sections = count($_SECTION);
					for($i = 0; $i < $num_sections-1; $i++) {
						echo '<a href="'.$_SECTION[$i][1] . '" onfocus="this.className=\'highlight\'" onblur="this.className=\'\'">';
						echo $_SECTION[$i][0];
						echo '</a>';
						echo $delim;
					}

					echo $_SECTION[$num_sections-1][0];
					echo '<small><small> ( <a href="accessibility.php" onfocus="this.className=\'highlight\'" onblur="this.className=\'\'">'. _AC('accessibility').'</a> ';	
					if (!$_SESSION['course_id']) {
						echo ' | <a href="sign_out.php" onfocus="this.className=\'highlight\'" onblur="this.className=\'\'">'._AC('sign_out').'</a>';
					} 
					echo ' )</small></small>';

				?></h4></td>
			</tr>
		</table></td>
	</tr><tr>
		<td><table border="0" cellspacing="0" cellpadding="4" class="border" width="100%">
				<tr>
					<td><?php

	if (isset($error)) {
		print_errors($error);
	}
					?>
<form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
	<table border="0" cellspacing="0" cellpadding="2" align="center" class="box2">
	<tr>
		<td class="row1 tline">&nbsp;</td>
		<td colspan="3" class="row1 tline"><img src="images/clr.gif" height="1" width="1" alt="" /><br /><?php
			echo _AC('denotes_required', '<img src="images/required.gif" height="14" width="14" alt="'._AC('required_field').'" />');
		?><br /></td>
		<td class="row1 tline">&nbsp;</td>
	</tr>
	<tr bgcolor="white">
		<td class="row1">&nbsp;</td>
		<td class="row1" align="right" valign="top"><label for="email"><b><?php echo _AC('email'); ?>:</b></label></td>
		<td class="row1" valign="top"><img src="images/required.gif" height="14" width="14" alt="<?php echo _AC('required_field'); ?>" class="img" /></td>
		<td class="row1"><input type="text" name="email" class="input" size="30" id="email" value="<?php echo $row['email']; ?>" onfocus="this.className='input highlight'" onblur="this.className='input'" /></td>
		<td class="row1">&nbsp;</td>
	</tr>
	<tr bgcolor="white">
		<td class="row1">&nbsp;</td>
		<td class="row1" align="right"><label for="fname"><b><?php echo _AC('first_name'); ?>:</b></label></td>
		<td class="row1">&nbsp;</td>
		<td class="row1"><input type="text" name="fname" class="input" size="20" id="fname" value="<?php echo htmlentities($row['first_name']); ?>" onfocus="this.className='input highlight'" onblur="this.className='input'" /></td>
		<td class="row1">&nbsp;</td>
	</tr>
	<tr bgcolor="white">
		<td class="row1">&nbsp;</td>
		<td class="row1" align="right"><label for="lname"><b><?php echo _AC('last_name'); ?>:</b></label></td>
		<td class="row1">&nbsp;</td>
		<td class="row1"><input type="text" name="lname" class="input" size="20" id="lname" value="<?php echo htmlentities($row['last_name']); ?>" onfocus="this.className='input highlight'" onblur="this.className='input'" /></td>
		<td class="row1">&nbsp;</td>
	</tr>
		<tr bgcolor="white">
		<td class="row1">&nbsp;</td>
		<td class="row1" align="right"><label for="title"><b><?php echo _AC('title'); ?>:</b></label></td>
		<td class="row1">&nbsp;</td>
		<td class="row1"><input type="text" name="title" class="input" size="20" id="title" value="<?php echo htmlentities($row['title']); ?>" onfocus="this.className='input highlight'" onblur="this.className='input'" /></td>
		<td class="row1">&nbsp;</td>
	</tr>
	<tr>
		<td class="row1">&nbsp;</td>
		<td class="row1" align="right" valign="top"><label for="address"><b><?php echo _AC('address'); ?>:</b></label></td>
		<td class="row1" valign="top">&nbsp;</td>
		<td class="row1"><textarea name="address" id="address" cols="40" rows="3" class="input" onfocus="this.className='input highlight'" onblur="this.className='input'"><?php echo $row['address']; ?></textarea></td>
		<td class="row1">&nbsp;</td>
	</tr>
	<tr bgcolor="white">
		<td class="row1">&nbsp;</td>
		<td class="row1" align="right"><label for="city"><b><?php echo _AC('city'); ?>:</b></label></td>
		<td class="row1">&nbsp;</td>
		<td class="row1"><input type="text" name="city" class="input" size="20" id="city" value="<?php echo htmlentities($row['city']); ?>" onfocus="this.className='input highlight'" onblur="this.className='input'" /></td>
		<td class="row1">&nbsp;</td>
	</tr>
	<tr bgcolor="white">
		<td class="row1">&nbsp;</td>
		<td class="row1" align="right"><label for="prov"><b><?php echo _AC('province_territory'); ?>:</b></label></td>
		<td class="row1">&nbsp;</td>
		<td class="row1"><input type="text" name="province" class="input" size="20" id="prov" value="<?php echo htmlentities($row['province']); ?>" onfocus="this.className='input highlight'" onblur="this.className='input'" /></td>
		<td class="row1">&nbsp;</td>
	</tr>
	<tr bgcolor="white">
		<td class="row1">&nbsp;</td>
		<td class="row1" align="right"><label for="country"><b><?php echo _AC('country'); ?>:</b></label></td>
		<td class="row1">&nbsp;</td>
		<td class="row1"><input type="text" name="country" class="input" size="20" id="country" value="<?php echo htmlentities($row['country']); ?>" onfocus="this.className='input highlight'" onblur="this.className='input'" /></td>
		<td class="row1">&nbsp;</td>
	</tr>
	<tr bgcolor="white">
		<td class="row1">&nbsp;</td>
		<td class="row1" align="right"><label for="postal_code"><b><?php echo _AC('postal_code'); ?>:</b></label></td>
		<td class="row1">&nbsp;</td>
		<td class="row1"><input type="text" name="postal_code" class="input" size="8" id="postal_code" value="<?php echo htmlentities($row['postal_code']); ?>" onfocus="this.className='input highlight'" onblur="this.className='input'" /></td>
		<td class="row1">&nbsp;</td>
	</tr>
	<tr bgcolor="white">
		<td class="row1">&nbsp;</td>
		<td class="row1" align="right"><label for="phone"><b><?php echo _AC('phone'); ?>:</b></label></td>
		<td class="row1">&nbsp;</td>
		<td class="row1"><input type="text" name="phone" class="input" size="20" id="phone" value="<?php echo htmlentities($row['phone']); ?>" onfocus="this.className='input highlight'" onblur="this.className='input'" /></td>
		<td class="row1">&nbsp;</td>
	</tr>
	<tr bgcolor="white">
		<td class="row1">&nbsp;</td>
		<td class="row1" align="right"><label for="fax"><b><?php echo _AC('fax'); ?>:</b></label></td>
		<td class="row1">&nbsp;</td>
		<td class="row1"><input type="text" name="fax" class="input" size="20" id="fax" value="<?php echo htmlentities($row['fax']); ?>" onfocus="this.className='input highlight'" onblur="this.className='input'" /></td>
		<td class="row1">&nbsp;</td>
	</tr>
	<tr bgcolor="white">
		<td class="row1">&nbsp;</td>
		<td class="row1" colspan="3" align="right"><br /><input type="submit" name="submit" value=" <?php echo _AC('edit'); ?> " class="submitY" onfocus="this.className='submitY highlight'" onblur="this.className='submitY'" /> &nbsp; <input type="submit" name="cancel" value="<?php echo _AC('cancel'); ?>" class="submitN" onfocus="this.className='submitN highlight'" onblur="this.className='submitN'" /><br /><br /></td>
		<td class="row1">&nbsp;</td>
	</tr>
	</table>
</form>
</td>
				</tr>
			</table>

<?php
	require(AC_INCLUDE_PATH.'footer.inc.php');
?>